:tocdepth: 2

Blender API Change Log
**********************

.. note, this document is auto generated by sphinx_changelog_gen.py


2.56 to 2.57
============
bpy.types.SplineBezierPoints
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.SplineBezierPoints.friction` (count), *was (number)*

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.use_stamp_lens`

Removed
^^^^^^^

* **use_backbuf**

bpy.types.ActionPoseMarkers
---------------------------

Added
^^^^^

* :class:`bpy.types.ActionPoseMarkers.active`
* :class:`bpy.types.ActionPoseMarkers.active_index`

bpy.types.SpaceImageEditor
--------------------------

Renamed
^^^^^^^

* **curves** -> :class:`bpy.types.SpaceImageEditor.curve`

bpy.types.Scene
---------------

Removed
^^^^^^^

* **network_render**

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.use_material_physics_fh`

Removed
^^^^^^^

* **use_material_physics**

bpy.types.SplinePoints
----------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.SplinePoints.use_material_physics` (count), *was (number)*

bpy.types.Area
--------------

Added
^^^^^

* :class:`bpy.types.Area.height`
* :class:`bpy.types.Area.width`

bpy.types.SolidifyModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.SolidifyModifier.material_offset`
* :class:`bpy.types.SolidifyModifier.material_offset_rim`

Removed
^^^^^^^

* **use_rim_material**

bpy.types.UserPreferencesEdit
-----------------------------

Removed
^^^^^^^

* **use_keyframe_insert_keyingset**

bpy.types.MaterialTextureSlot
-----------------------------

Added
^^^^^

* :class:`bpy.types.MaterialTextureSlot.bump_method`
* :class:`bpy.types.MaterialTextureSlot.bump_objectspace`

Removed
^^^^^^^

* **use_old_bump**

bpy.types.ExplodeModifier
-------------------------

Added
^^^^^

* :class:`bpy.types.ExplodeModifier.particle_uv`
* :class:`bpy.types.ExplodeModifier.use_edge_cut`

Removed
^^^^^^^

* **use_edge_split**

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.label`

bpy.types.RigidBodyJointConstraint
----------------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyJointConstraint.limit_angle_max_x`
* :class:`bpy.types.RigidBodyJointConstraint.limit_angle_max_y`
* :class:`bpy.types.RigidBodyJointConstraint.limit_angle_max_z`
* :class:`bpy.types.RigidBodyJointConstraint.limit_angle_min_x`
* :class:`bpy.types.RigidBodyJointConstraint.limit_angle_min_y`
* :class:`bpy.types.RigidBodyJointConstraint.limit_angle_min_z`
* :class:`bpy.types.RigidBodyJointConstraint.limit_max_x`
* :class:`bpy.types.RigidBodyJointConstraint.limit_max_y`
* :class:`bpy.types.RigidBodyJointConstraint.limit_max_z`
* :class:`bpy.types.RigidBodyJointConstraint.limit_min_x`
* :class:`bpy.types.RigidBodyJointConstraint.limit_min_y`
* :class:`bpy.types.RigidBodyJointConstraint.limit_min_z`

Removed
^^^^^^^

* **limit_cone_max**
* **limit_cone_min**
* **limit_generic_max**
* **limit_generic_min**

bpy.types.KeyMap
----------------

Renamed
^^^^^^^

* **items** -> :class:`bpy.types.KeyMap.keymap_items`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.backdrop_channels`
* :class:`bpy.types.SpaceNodeEditor.backdrop_x`
* :class:`bpy.types.SpaceNodeEditor.backdrop_y`
* :class:`bpy.types.SpaceNodeEditor.backdrop_zoom`
* :class:`bpy.types.SpaceNodeEditor.use_auto_render`

bpy.types.SPHFluidSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.SPHFluidSettings.factor_density`
* :class:`bpy.types.SPHFluidSettings.factor_radius`
* :class:`bpy.types.SPHFluidSettings.factor_repulsion`
* :class:`bpy.types.SPHFluidSettings.factor_rest_length`
* :class:`bpy.types.SPHFluidSettings.factor_stiff_viscosity`
* :class:`bpy.types.SPHFluidSettings.plasticity`
* :class:`bpy.types.SPHFluidSettings.repulsion`
* :class:`bpy.types.SPHFluidSettings.spring_frames`
* :class:`bpy.types.SPHFluidSettings.stiff_viscosity`
* :class:`bpy.types.SPHFluidSettings.use_initial_rest_length`
* :class:`bpy.types.SPHFluidSettings.use_viscoelastic_springs`
* :class:`bpy.types.SPHFluidSettings.yield_ratio`

Removed
^^^^^^^

* **stiffness_near**
* **viscosity_beta**

Renamed
^^^^^^^

* **viscosity_omega** -> :class:`bpy.types.SPHFluidSettings.linear_viscosity`

bpy.types.ConstraintActuator
----------------------------

Added
^^^^^

* :class:`bpy.types.ConstraintActuator.direction_axis_pos`
* :class:`bpy.types.ConstraintActuator.fh_force`

Removed
^^^^^^^

* **spring**

bpy.types.UILayout
------------------

Renamed
^^^^^^^

* **operator_enums** -> :class:`bpy.types.UILayout.operator_enum`

bpy.types.SpaceDopeSheetEditor
------------------------------

Added
^^^^^

* :class:`bpy.types.SpaceDopeSheetEditor.show_pose_markers`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.edge_path_live_unwrap`
* :class:`bpy.types.ToolSettings.proportional_size`
* :class:`bpy.types.ToolSettings.use_keyframe_insert_keyingset`

bpy.types.EditBone
------------------

Added
^^^^^

* :class:`bpy.types.EditBone.bbone_x`
* :class:`bpy.types.EditBone.bbone_z`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.EditBone.bbone_z` (self, matrix, scale, roll), *was (self, matrix)*

bpy.types.ID
------------

Renamed
^^^^^^^

* **update** -> :class:`bpy.types.ID.update_tag`

bpy.types.SpaceGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceGraphEditor.use_fancy_drawing`

bpy.types.ParticleSystem
------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSystem.child_seed`

bpy.types.SpaceTimeline
-----------------------

Removed
^^^^^^^

* **use_play_3d_editors**
* **use_play_animation_editors**
* **use_play_image_editors**
* **use_play_node_editors**
* **use_play_properties_editors**
* **use_play_sequence_editors**
* **use_play_top_left_3d_editor**

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.validate`

Renamed
^^^^^^^

* **show_extra_edge_angle** -> :class:`bpy.types.Mesh.show_extra_face_angle`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.show_extra_face_angle` (self, vertices, edges, faces), *was (self, verts, edges, faces)*

bpy.types.EnumProperty
----------------------

Added
^^^^^

* :class:`bpy.types.EnumProperty.default_flag`

Renamed
^^^^^^^

* **items** -> :class:`bpy.types.EnumProperty.enum_items`

bpy.types.Screen
----------------

Added
^^^^^

* :class:`bpy.types.Screen.use_play_3d_editors`
* :class:`bpy.types.Screen.use_play_animation_editors`
* :class:`bpy.types.Screen.use_play_image_editors`
* :class:`bpy.types.Screen.use_play_node_editors`
* :class:`bpy.types.Screen.use_play_properties_editors`
* :class:`bpy.types.Screen.use_play_sequence_editors`
* :class:`bpy.types.Screen.use_play_top_left_3d_editor`

bpy.types.MirrorModifier
------------------------

Added
^^^^^

* :class:`bpy.types.MirrorModifier.use_mirror_merge`

bpy.types.Operator
------------------

Added
^^^^^

* :class:`bpy.types.Operator.cancel`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.height`
* :class:`bpy.types.Brush.use_fixed_texture`

Renamed
^^^^^^^

* **imagepaint_tool** -> :class:`bpy.types.Brush.image_tool`
* **use_paint_texture** -> :class:`bpy.types.Brush.use_paint_image`
* **vertexpaint_tool** -> :class:`bpy.types.Brush.vertex_tool`

bpy.types.Key
-------------

Renamed
^^^^^^^

* **keys** -> :class:`bpy.types.Key.key_blocks`

bpy.types.CompositorNodeBlur
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeBlur.aspect_correction`

bpy.types.SpaceTextEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceTextEditor.margin_column`
* :class:`bpy.types.SpaceTextEditor.show_margin`

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.show_x_ray`

Removed
^^^^^^^

* **active**

bpy.types.MarbleTexture
-----------------------

Renamed
^^^^^^^

* **noisebasis_2** -> :class:`bpy.types.MarbleTexture.noise_basis_2`

bpy.types.Particle
------------------

Removed
^^^^^^^

* **is_hair**

Renamed
^^^^^^^

* **keys** -> :class:`bpy.types.Particle.hair_keys`
* **keys** -> :class:`bpy.types.Particle.particle_keys`

bpy.types.Modifier
------------------

Added
^^^^^

* :class:`bpy.types.Modifier.use_apply_on_spline`

bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.is_enum_flag`

bpy.types.SpaceProperties
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceProperties.texture_context`

Removed
^^^^^^^

* **show_brush_texture**

bpy.types.VertexGroups
----------------------

Added
^^^^^

* :class:`bpy.types.VertexGroups.remove`

Removed
^^^^^^^

* **assign**

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.shadow_only_type`

bpy.types.RenderLayer
---------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderLayer.shadow_only_type` (filename, x, y), *was (filename)*

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.is_modified`

Renamed
^^^^^^^

* **create_dupli_list** -> :class:`bpy.types.Object.dupli_list_create`
* **create_mesh** -> :class:`bpy.types.Object.to_mesh`
* **free_dupli_list** -> :class:`bpy.types.Object.dupli_list_clear`

bpy.types.NodeTree
------------------

Added
^^^^^

* :class:`bpy.types.NodeTree.inputs`
* :class:`bpy.types.NodeTree.outputs`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.filter_fcurve_name`
* :class:`bpy.types.DopeSheet.show_lattices`
* :class:`bpy.types.DopeSheet.show_only_matching_fcurves`

bpy.types.ActionFCurves
-----------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.ActionFCurves.show_only_matching_fcurves` (data_path, index, action_group), *was (data_path, array_index, action_group)*

bpy.types.ShrinkwrapModifier
----------------------------

Added
^^^^^

* :class:`bpy.types.ShrinkwrapModifier.cull_face`

Removed
^^^^^^^

* **use_cull_back_faces**
* **use_cull_front_faces**

bpy.types.WindowManager
-----------------------

Added
^^^^^

* :class:`bpy.types.WindowManager.addon_filter`
* :class:`bpy.types.WindowManager.addon_search`
* :class:`bpy.types.WindowManager.addon_support`
* :class:`bpy.types.WindowManager.event_timer_add`
* :class:`bpy.types.WindowManager.event_timer_remove`

bpy.types.WoodTexture
---------------------

Renamed
^^^^^^^

* **noisebasis_2** -> :class:`bpy.types.WoodTexture.noise_basis_2`

bpy.types.VertexGroup
---------------------

Added
^^^^^

* :class:`bpy.types.VertexGroup.add`
* :class:`bpy.types.VertexGroup.remove`
* :class:`bpy.types.VertexGroup.weight`

bpy.types.FCurveKeyframePoints
------------------------------

Added
^^^^^

* :class:`bpy.types.FCurveKeyframePoints.insert`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.FCurveKeyframePoints.insert` (count), *was (frame, value, replace, needed, fast)*

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.outline_width`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.pixels`

bpy.types.Bone
--------------

Added
^^^^^

* :class:`bpy.types.Bone.bbone_x`
* :class:`bpy.types.Bone.bbone_z`

bpy.types.InputKeyMapPanel
--------------------------

Removed
^^^^^^^

* **draw_entry**
* **draw_filtered**
* **draw_hierarchy**
* **draw_keymaps**
* **draw_km**
* **draw_kmi**
* **draw_kmi_properties**
* **indented_layout**

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.active_texture`
* :class:`bpy.types.ParticleSettings.active_texture_index`
* :class:`bpy.types.ParticleSettings.child_parting_factor`
* :class:`bpy.types.ParticleSettings.child_parting_max`
* :class:`bpy.types.ParticleSettings.child_parting_min`
* :class:`bpy.types.ParticleSettings.color_maximum`
* :class:`bpy.types.ParticleSettings.create_long_hair_children`
* :class:`bpy.types.ParticleSettings.draw_color`
* :class:`bpy.types.ParticleSettings.effector_amount`
* :class:`bpy.types.ParticleSettings.grid_random`
* :class:`bpy.types.ParticleSettings.hair_length`
* :class:`bpy.types.ParticleSettings.hexagonal_grid`
* :class:`bpy.types.ParticleSettings.is_fluid`
* :class:`bpy.types.ParticleSettings.kink_amplitude_clump`
* :class:`bpy.types.ParticleSettings.kink_flat`
* :class:`bpy.types.ParticleSettings.texture_slots`
* :class:`bpy.types.ParticleSettings.timestep`
* :class:`bpy.types.ParticleSettings.use_advanced_hair`

Removed
^^^^^^^

* **reaction_shape**
* **show_material_color**
* **use_animate_branching**
* **use_branching**
* **use_symmetric_branching**

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.show_mouse`

bpy.types.MaterialPhysics
-------------------------

Renamed
^^^^^^^

* **damping** -> :class:`bpy.types.MaterialPhysics.fh_damping`
* **distance** -> :class:`bpy.types.MaterialPhysics.fh_distance`
* **force** -> :class:`bpy.types.MaterialPhysics.fh_force`
* **use_normal_align** -> :class:`bpy.types.MaterialPhysics.use_fh_normal`


2.57 to 2.58
============

bpy_extras
----------

Added
^^^^^

* :mod:`bpy_extras`
* :mod:`bpy_extras.view3d_utils`

Moved
^^^^^

* io_utils -> :mod:`bpy_extras.io_utils`
* image_utils -> :mod:`bpy_extras.image_utils`
* mesh_utils -> :mod:`bpy_extras.mesh_utils`
* object_utils -> :mod:`bpy_extras.object_utils`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.use_bake_lores_mesh`
* :class:`bpy.types.RenderSettings.use_bake_multires`

bpy.types.Camera
----------------

Added
^^^^^

* :class:`bpy.types.Camera.show_guide`

bpy.types.SpaceImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceImageEditor.zoom`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.lock_camera`

bpy.types.RegionView3D
----------------------

Added
^^^^^

* :class:`bpy.types.RegionView3D.is_perspective`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.frame_subframe`

bpy.types.Area
--------------

Removed
^^^^^^^

* **active_space**

bpy.types.DisplaceModifier
--------------------------

Renamed
^^^^^^^

* **texture_coordinate_object** -> :class:`bpy.types.DisplaceModifier.texture_coords_object`

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.use_camera_lock_parent`

bpy.types.DomainFluidSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.DomainFluidSettings.fluid_mesh_vertices`
* :class:`bpy.types.DomainFluidSettings.surface_noobs`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.use_deform_only`

bpy.types.ClothCollisionSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.ClothCollisionSettings.distance_repel`
* :class:`bpy.types.ClothCollisionSettings.repel_force`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_edit_mode_selection`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.use_snap_project_self`

bpy.types.Mesh
--------------

Removed
^^^^^^^

* **edge_face_count**
* **edge_face_count_dict**
* **edge_loops_from_edges**
* **edge_loops_from_faces**

bpy.types.PointDensity
----------------------

Added
^^^^^

* :class:`bpy.types.PointDensity.falloff_curve`
* :class:`bpy.types.PointDensity.falloff_speed_scale`
* :class:`bpy.types.PointDensity.use_falloff_curve`

bpy.types.SpaceTextEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceTextEditor.use_match_case`

bpy.types.CameraActuator
------------------------

Added
^^^^^

* :class:`bpy.types.CameraActuator.damping`

bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.is_skip_save`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.anisotropic_filter`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.empty_image_offset`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.resolution`

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.use_glsl_color_management`


2.58 to 2.59
============

bpy.types.Scene
---------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.collada_export` (filepath, selected), *was (filepath)*

bpy.types.MultiresModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.MultiresModifier.use_subsurf_uv`

bpy.types.KeyMap
----------------

Removed
^^^^^^^

* **copy_to_user**

Renamed
^^^^^^^

* **is_user_defined** -> :class:`bpy.types.KeyMap.is_user_modified`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.use_pass_material_index`

bpy.types.ToolSettings
----------------------

Renamed
^^^^^^^

* **use_snap_project_self** -> :class:`bpy.types.ToolSettings.use_snap_self`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.ndof_fly_helicopter`
* :class:`bpy.types.UserPreferencesInput.ndof_lock_horizon`
* :class:`bpy.types.UserPreferencesInput.ndof_orbit_invert_axes`
* :class:`bpy.types.UserPreferencesInput.ndof_sensitivity`
* :class:`bpy.types.UserPreferencesInput.ndof_show_guide`
* :class:`bpy.types.UserPreferencesInput.ndof_zoom_invert`
* :class:`bpy.types.UserPreferencesInput.ndof_zoom_updown`

Removed
^^^^^^^

* **edited_keymaps**
* **ndof_pan_speed**
* **ndof_rotate_speed**

bpy.types.IDMaterials
---------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.IDMaterials.pop` (index, update_data), *was (index)*

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.pass_index`

bpy.types.RenderLayer
---------------------

Added
^^^^^

* :class:`bpy.types.RenderLayer.use_pass_material_index`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.closest_point_on_mesh`

bpy.types.ThemeNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNodeEditor.noodle_curving`

bpy.types.ChildOfConstraint
---------------------------

Added
^^^^^

* :class:`bpy.types.ChildOfConstraint.inverse_matrix`

bpy.types.KeyConfigurations
---------------------------

Added
^^^^^

* :class:`bpy.types.KeyConfigurations.addon`
* :class:`bpy.types.KeyConfigurations.user`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.use_generated_float`

bpy.types.KeyMapItem
--------------------

Added
^^^^^

* :class:`bpy.types.KeyMapItem.is_user_modified`


2.59 to 2.60
============

.. These have been manually added wait until RC to do final changelog!

bpy.types.MeshTextureFace
-------------------------

Removed
^^^^^^^

* **use_image**
* **use_object_color**
* **use_blend_shared**

Moved
^^^^^

* **hide** -> :class:`bpy.types.Material.game_settings.invisible`
* **use_collision** -> :class:`bpy.types.Material.game_settings.physics`
* **use_light** -> :class:`bpy.types.Material.game_settings.use_shadeless`
* **use_twoside** -> :class:`bpy.types.Material.game_settings.backface_culling`
* **use_bitmap_text** -> :class:`bpy.types.Material.game_settings.text`
* **blend_type** -> :class:`bpy.types.Material.game_settings.alpha_blend`
* **use_alpha_sort** -> :class:`bpy.types.Material.game_settings.alpha_blend`
* **use_billboard** -> :class:`bpy.types.Material.game_settings.face_orientation`
* **use_halo** -> :class:`bpy.types.Material.game_settings.face_orientation`
* **use_shadow_cast** -> :class:`bpy.types.Material.game_settings.face_orientation`

.. Automatically Generated, 2.59 -> r40804!

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.ffmpeg_audio_channels`

bpy.types.DriverTarget
----------------------

Added
^^^^^

* :class:`bpy.types.DriverTarget.transform_space`

Removed
^^^^^^^

* **use_local_space_transform**

bpy.types.Sound
---------------

Added
^^^^^

* :class:`bpy.types.Sound.factory`
* :class:`bpy.types.Sound.use_mono`

bpy.types.Camera
----------------

Added
^^^^^

* :class:`bpy.types.Camera.view_frame`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.audio_volume`

bpy.types.KeyingSet
-------------------

Added
^^^^^

* :class:`bpy.types.KeyingSet.refresh`

bpy.types.Armature
------------------

Added
^^^^^

* :class:`bpy.types.Armature.deform_method`

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.obstacle_radius`
* :class:`bpy.types.GameObjectSettings.use_obstacle_create`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.speakers`

bpy.types.SolidifyModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.SolidifyModifier.thickness_vertex_group`

bpy.types.ThemeGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeGraphEditor.handle_auto_clamped`
* :class:`bpy.types.ThemeGraphEditor.handle_sel_auto_clamped`

bpy.types.CompositorNodeIDMask
------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeIDMask.use_smooth_mask`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.parent`

bpy.types.Texture
-----------------

Added
^^^^^

* :class:`bpy.types.Texture.evaluate`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_keymap_item_properties`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.use_multipaint`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.ndof_panx_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_pany_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_panz_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_roll_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_rotate_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_tilt_invert_axis`

bpy.types.LockedTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.LockedTrackConstraint.head_tail`

bpy.types.SpaceGraphEditor
--------------------------

Moved
^^^^^

* use_fancy_drawing -> :class:`bpy.types.SpaceGraphEditor.use_beauty_drawing`

bpy.types.ParticleSystem
------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSystem.dt_frac`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.use_paint_mask_vertex`

bpy.types.FCurve
----------------

Removed
^^^^^^^

* **use_auto_handle_clamp**

bpy.types.DampedTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.DampedTrackConstraint.head_tail`

bpy.types.ImageTexture
----------------------

Added
^^^^^

* :class:`bpy.types.ImageTexture.use_derivative_map`

bpy.types.SoundSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.SoundSequence.pan`
* :class:`bpy.types.SoundSequence.pitch`

Removed
^^^^^^^

* **attenuation**

bpy.types.FModifier
-------------------

Added
^^^^^

* :class:`bpy.types.FModifier.blend_in`
* :class:`bpy.types.FModifier.blend_out`
* :class:`bpy.types.FModifier.frame_end`
* :class:`bpy.types.FModifier.frame_start`
* :class:`bpy.types.FModifier.influence`
* :class:`bpy.types.FModifier.use_influence`
* :class:`bpy.types.FModifier.use_restricted_range`

bpy.types.EnvironmentMap
------------------------

Added
^^^^^

* :class:`bpy.types.EnvironmentMap.clear`
* :class:`bpy.types.EnvironmentMap.is_valid`
* :class:`bpy.types.EnvironmentMap.save`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.use_translate_interface`

Removed
^^^^^^^

* **use_translate_buttons**
* **use_translate_toolbox**

bpy.types.LimitDistanceConstraint
---------------------------------

Added
^^^^^

* :class:`bpy.types.LimitDistanceConstraint.head_tail`
* :class:`bpy.types.LimitDistanceConstraint.use_transform_limit`

bpy.types.MovieSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieSequence.stream_index`

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.game_settings`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.matrix_parent_inverse`

bpy.types.SequenceProxy
-----------------------

Added
^^^^^

* :class:`bpy.types.SequenceProxy.build_100`
* :class:`bpy.types.SequenceProxy.build_25`
* :class:`bpy.types.SequenceProxy.build_50`
* :class:`bpy.types.SequenceProxy.build_75`
* :class:`bpy.types.SequenceProxy.build_free_run`
* :class:`bpy.types.SequenceProxy.build_free_run_rec_date`
* :class:`bpy.types.SequenceProxy.build_record_run`
* :class:`bpy.types.SequenceProxy.quality`
* :class:`bpy.types.SequenceProxy.timecode`

bpy.types.Sequence
------------------

Added
^^^^^

* :class:`bpy.types.Sequence.waveform`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_datablock_filters`
* :class:`bpy.types.DopeSheet.show_speakers`

bpy.types.ActionActuator
------------------------

Added
^^^^^

* :class:`bpy.types.ActionActuator.apply_to_children`
* :class:`bpy.types.ActionActuator.layer`
* :class:`bpy.types.ActionActuator.layer_weight`
* :class:`bpy.types.ActionActuator.use_additive`
* :class:`bpy.types.ActionActuator.use_force`
* :class:`bpy.types.ActionActuator.use_local`

bpy.types.VertexGroup
---------------------

Added
^^^^^

* :class:`bpy.types.VertexGroup.lock_weight`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.speaker`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.pack`
* :class:`bpy.types.Image.unpack`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.fill_mode`

Removed
^^^^^^^

* **use_fill_back**
* **use_fill_front**

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.adaptive_subframes`
* :class:`bpy.types.ParticleSettings.courant_target`

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.level_height`
* :class:`bpy.types.SceneGameData.obstacle_simulation`
* :class:`bpy.types.SceneGameData.recast_data`
* :class:`bpy.types.SceneGameData.restrict_animation_updates`
* :class:`bpy.types.SceneGameData.show_obstacle_simulation`


2.60 to 2.61
============

bpy.types.BlendDataGroups
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataGroups.is_updated`

bpy.types.BlendDataBrushes
--------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataBrushes.is_updated`

bpy.types.Theme
---------------

Added
^^^^^

* :class:`bpy.types.Theme.clip_editor`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.movieclips`

bpy.types.BlendDataGreasePencils
--------------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataGreasePencils.is_updated`

bpy.types.BlendDataImages
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataImages.is_updated`

bpy.types.CompositorNodes
-------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodes.clear`

bpy.types.BlendDataScenes
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataScenes.is_updated`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bl_use_shading_nodes`
* :class:`bpy.types.RenderEngine.is_animation`
* :class:`bpy.types.RenderEngine.is_preview`
* :class:`bpy.types.RenderEngine.tag_redraw`
* :class:`bpy.types.RenderEngine.tag_update`
* :class:`bpy.types.RenderEngine.update`
* :class:`bpy.types.RenderEngine.update_progress`
* :class:`bpy.types.RenderEngine.view_draw`
* :class:`bpy.types.RenderEngine.view_update`

bpy.types.BackgroundImage
-------------------------

Added
^^^^^

* :class:`bpy.types.BackgroundImage.clip`
* :class:`bpy.types.BackgroundImage.clip_user`
* :class:`bpy.types.BackgroundImage.show_background_image`
* :class:`bpy.types.BackgroundImage.source`
* :class:`bpy.types.BackgroundImage.use_camera_clip`

bpy.types.BlendDataMetaBalls
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMetaBalls.is_updated`

bpy.types.SpaceTimeline
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceTimeline.cache_dynamicpaint`

bpy.types.BlendDataMeshes
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMeshes.is_updated`

bpy.types.BlendDataNodeTrees
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataNodeTrees.is_updated`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.image_settings`
* :class:`bpy.types.RenderSettings.use_shading_nodes`

Removed
^^^^^^^

* **cineon_black**
* **cineon_gamma**
* **cineon_white**
* **color_mode**
* **exr_codec**
* **exr_preview**
* **exr_zbuf**
* **file_format**
* **file_quality**
* **jpeg2k_depth**
* **jpeg2k_preset**
* **jpeg2k_ycc**
* **use_cineon_log**
* **use_exr_half**
* **use_tiff_16bit**

bpy.types.RegionView3D
----------------------

Added
^^^^^

* :class:`bpy.types.RegionView3D.view_camera_offset`
* :class:`bpy.types.RegionView3D.view_camera_zoom`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.active_clip`

bpy.types.NodeLinks
-------------------

Added
^^^^^

* :class:`bpy.types.NodeLinks.clear`

bpy.types.BlendDataLattices
---------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataLattices.is_updated`

bpy.types.BlendDataParticles
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataParticles.is_updated`

bpy.types.BlendDataWorlds
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataWorlds.is_updated`

bpy.types.ObjectConstraints
---------------------------

Added
^^^^^

* :class:`bpy.types.ObjectConstraints.clear`

bpy.types.RenderLayers
----------------------

Added
^^^^^

* :class:`bpy.types.RenderLayers.new`
* :class:`bpy.types.RenderLayers.remove`

bpy.types.Menu
--------------

Added
^^^^^

* :class:`bpy.types.Menu.bl_description`

bpy.types.Lamp
--------------

Added
^^^^^

* :class:`bpy.types.Lamp.node_tree`
* :class:`bpy.types.Lamp.use_nodes`

bpy.types.CurveSplines
----------------------

Added
^^^^^

* :class:`bpy.types.CurveSplines.clear`

bpy.types.Screen
----------------

Added
^^^^^

* :class:`bpy.types.Screen.use_play_clip_editors`

bpy.types.BlendDataActions
--------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataActions.is_updated`

bpy.types.BlendDataSounds
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataSounds.is_updated`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.slow_parent_offset`

Removed
^^^^^^^

* **time_offset**
* **use_time_offset_add_parent**
* **use_time_offset_edit**
* **use_time_offset_parent**
* **use_time_offset_particle**

bpy.types.ObjectModifiers
-------------------------

Added
^^^^^

* :class:`bpy.types.ObjectModifiers.clear`

bpy.types.BlendDataMaterials
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMaterials.is_updated`

bpy.types.MetaBallElements
--------------------------

Added
^^^^^

* :class:`bpy.types.MetaBallElements.clear`

bpy.types.NodeSocket
--------------------

Added
^^^^^

* :class:`bpy.types.NodeSocket.group_socket`
* :class:`bpy.types.NodeSocket.show_expanded`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.show_texture`

bpy.types.CompositorNodeOutputFile
----------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeOutputFile.image_settings`

Removed
^^^^^^^

* **exr_codec**
* **image_type**
* **quality**
* **use_exr_half**

bpy.types.BlendDataTexts
------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataTexts.is_updated`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.bundle_solid`
* :class:`bpy.types.ThemeView3D.camera_path`

bpy.types.Event
---------------

Added
^^^^^

* :class:`bpy.types.Event.unicode`

bpy.types.VertexGroups
----------------------

Added
^^^^^

* :class:`bpy.types.VertexGroups.clear`

bpy.types.TexMapping
--------------------

Added
^^^^^

* :class:`bpy.types.TexMapping.mapping`
* :class:`bpy.types.TexMapping.mapping_x`
* :class:`bpy.types.TexMapping.mapping_y`
* :class:`bpy.types.TexMapping.mapping_z`

bpy.types.BlendDataObjects
--------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataObjects.is_updated`

bpy.types.BlendDataCurves
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataCurves.is_updated`

bpy.types.BlendDataLibraries
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataLibraries.is_updated`

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.icon_alpha`
* :class:`bpy.types.ThemeUserInterface.panel`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.shader_type`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.show_bundle_names`
* :class:`bpy.types.SpaceView3D.show_camera_path`
* :class:`bpy.types.SpaceView3D.show_reconstruction`
* :class:`bpy.types.SpaceView3D.tracks_draw_size`
* :class:`bpy.types.SpaceView3D.tracks_draw_type`

bpy.types.BlendDataWindowManagers
---------------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataWindowManagers.is_updated`

bpy.types.BlendDataScreens
--------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataScreens.is_updated`

bpy.types.BlendDataArmatures
----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataArmatures.is_updated`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.tweak_threshold`

Removed
^^^^^^^

* **ndof_orbit_invert_axes**

bpy.types.BlendDataCameras
--------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataCameras.is_updated`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_image_settings`
* :class:`bpy.types.UILayout.template_marker`
* :class:`bpy.types.UILayout.template_movieclip`
* :class:`bpy.types.UILayout.template_node_link`
* :class:`bpy.types.UILayout.template_node_view`
* :class:`bpy.types.UILayout.template_texture_user`
* :class:`bpy.types.UILayout.template_track`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_list` (data, property, active_data, active_property, prop_list, rows, maxrows, type), *was (data, property, active_data, active_property, rows, maxrows, type)*

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.is_updated`
* :class:`bpy.types.ID.is_updated_data`

bpy.types.World
---------------

Added
^^^^^

* :class:`bpy.types.World.node_tree`
* :class:`bpy.types.World.use_nodes`

bpy.types.BlendDataTextures
---------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataTextures.is_updated`

bpy.types.ShaderNodes
---------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodes.clear`

bpy.types.TimelineMarkers
-------------------------

Added
^^^^^

* :class:`bpy.types.TimelineMarkers.clear`

bpy.types.SpaceFileBrowser
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceFileBrowser.active_operator`

bpy.types.BlendDataSpeakers
---------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataSpeakers.is_updated`

bpy.types.Camera
----------------

Added
^^^^^

* :class:`bpy.types.Camera.angle_x`
* :class:`bpy.types.Camera.angle_y`
* :class:`bpy.types.Camera.sensor_fit`
* :class:`bpy.types.Camera.sensor_height`
* :class:`bpy.types.Camera.sensor_width`
* :class:`bpy.types.Camera.show_sensor`

bpy.types.BlendDataLamps
------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataLamps.is_updated`

bpy.types.TextureNodes
----------------------

Added
^^^^^

* :class:`bpy.types.TextureNodes.clear`

bpy.types.BlendDataFonts
------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataFonts.is_updated`


2.61 to 2.62
============

bpy.types.SpaceTimeline
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceTimeline.show_seconds`

bpy.types.MovieClipProxy
------------------------

Added
^^^^^

* :class:`bpy.types.MovieClipProxy.build_undistorted_100`
* :class:`bpy.types.MovieClipProxy.build_undistorted_25`
* :class:`bpy.types.MovieClipProxy.build_undistorted_50`
* :class:`bpy.types.MovieClipProxy.build_undistorted_75`

Removed
^^^^^^^

* **build_undistorted**

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.unified_paint_settings`
* :class:`bpy.types.ToolSettings.use_uv_sculpt`
* :class:`bpy.types.ToolSettings.uv_relax_method`
* :class:`bpy.types.ToolSettings.uv_sculpt`
* :class:`bpy.types.ToolSettings.uv_sculpt_all_islands`
* :class:`bpy.types.ToolSettings.uv_sculpt_lock_borders`
* :class:`bpy.types.ToolSettings.uv_sculpt_tool`

Removed
^^^^^^^

* **sculpt_paint_use_unified_size**
* **sculpt_paint_use_unified_strength**

bpy.types.DupliObject
---------------------

Added
^^^^^

* :class:`bpy.types.DupliObject.hide`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.use_fill_caps`

bpy.types.DomainFluidSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.DomainFluidSettings.frame_offset`
* :class:`bpy.types.DomainFluidSettings.simulation_rate`

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.exit_key`
* :class:`bpy.types.SceneGameData.samples`
* :class:`bpy.types.SceneGameData.use_desktop`

bpy.types.Sensor
----------------

Added
^^^^^

* :class:`bpy.types.Sensor.controllers`

bpy.types.Scene
---------------

Removed
^^^^^^^

* **collada_export**

bpy.types.Controller
--------------------

Added
^^^^^

* :class:`bpy.types.Controller.actuators`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.use_pass_diffuse_color`
* :class:`bpy.types.SceneRenderLayer.use_pass_diffuse_direct`
* :class:`bpy.types.SceneRenderLayer.use_pass_diffuse_indirect`
* :class:`bpy.types.SceneRenderLayer.use_pass_glossy_color`
* :class:`bpy.types.SceneRenderLayer.use_pass_glossy_direct`
* :class:`bpy.types.SceneRenderLayer.use_pass_glossy_indirect`
* :class:`bpy.types.SceneRenderLayer.use_pass_transmission_color`
* :class:`bpy.types.SceneRenderLayer.use_pass_transmission_direct`
* :class:`bpy.types.SceneRenderLayer.use_pass_transmission_indirect`

bpy.types.ClothSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothSettings.vel_damping`

bpy.types.FollowTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.FollowTrackConstraint.camera`
* :class:`bpy.types.FollowTrackConstraint.depth_object`
* :class:`bpy.types.FollowTrackConstraint.object`

bpy.types.ImageFormatSettings
-----------------------------

Removed
^^^^^^^

* **exr_codec**
* **use_jpeg2k_cinema_48**
* **use_jpeg2k_cinema_preset**
* **use_jpeg2k_ycc**

bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.translation_context`

bpy.types.MovieTrackingTrack
----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingTrack.use_grayscale_preview`

Removed
^^^^^^^

* **marker_find_frame**

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.dm_info`


bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.compute_device`
* :class:`bpy.types.UserPreferencesSystem.compute_device_type`
* :class:`bpy.types.UserPreferencesSystem.use_16bit_textures`

bpy.types.SpaceClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceClipEditor.lock_time_cursor`
* :class:`bpy.types.SpaceClipEditor.show_blue_channel`
* :class:`bpy.types.SpaceClipEditor.show_green_channel`
* :class:`bpy.types.SpaceClipEditor.show_red_channel`
* :class:`bpy.types.SpaceClipEditor.use_grayscale_preview`

Removed
^^^^^^^

* **show_grease_pencil**
* **show_pyramid_levels**

bpy.types.VertexPaint
---------------------

Added
^^^^^

* :class:`bpy.types.VertexPaint.use_group_restrict`

bpy.types.DynamicPaintSurface
-----------------------------

Added
^^^^^

* :class:`bpy.types.DynamicPaintSurface.brush_influence_scale`
* :class:`bpy.types.DynamicPaintSurface.brush_radius_scale`
* :class:`bpy.types.DynamicPaintSurface.color_dry_threshold`
* :class:`bpy.types.DynamicPaintSurface.use_drying`

bpy.types.RenderLayer
---------------------

Added
^^^^^

* :class:`bpy.types.RenderLayer.use_pass_diffuse_color`
* :class:`bpy.types.RenderLayer.use_pass_diffuse_direct`
* :class:`bpy.types.RenderLayer.use_pass_diffuse_indirect`
* :class:`bpy.types.RenderLayer.use_pass_glossy_color`
* :class:`bpy.types.RenderLayer.use_pass_glossy_direct`
* :class:`bpy.types.RenderLayer.use_pass_glossy_indirect`
* :class:`bpy.types.RenderLayer.use_pass_transmission_color`
* :class:`bpy.types.RenderLayer.use_pass_transmission_direct`
* :class:`bpy.types.RenderLayer.use_pass_transmission_indirect`

bpy.types.MovieTracking
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieTracking.active_object_index`
* :class:`bpy.types.MovieTracking.objects`

bpy.types.MovieTrackingSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingSettings.object_distance`
* :class:`bpy.types.MovieTrackingSettings.use_default_blue_channel`
* :class:`bpy.types.MovieTrackingSettings.use_default_green_channel`
* :class:`bpy.types.MovieTrackingSettings.use_default_red_channel`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.show_extra_indices`

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.show_seconds`

Removed
^^^^^^^

* **offset_x**
* **offset_y**
* **zoom**

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.ffmpeg`
* :class:`bpy.types.RenderSettings.use_color_unpremultiply`

Removed
^^^^^^^

* **ffmpeg_audio_bitrate**
* **ffmpeg_audio_channels**
* **ffmpeg_audio_codec**
* **ffmpeg_audio_mixrate**
* **ffmpeg_audio_volume**
* **ffmpeg_autosplit**
* **ffmpeg_buffersize**
* **ffmpeg_codec**
* **ffmpeg_format**
* **ffmpeg_gopsize**
* **ffmpeg_maxrate**
* **ffmpeg_minrate**
* **ffmpeg_muxrate**
* **ffmpeg_packetsize**
* **ffmpeg_video_bitrate**

2.62 to 2.63
============

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.camera`
* :class:`bpy.types.ThemeView3D.empty`

bpy.types.KeyingSet
-------------------

Added
^^^^^

* :class:`bpy.types.KeyingSet.bl_description`
* :class:`bpy.types.KeyingSet.bl_idname`

Renamed
^^^^^^^

* **name** -> :class:`bpy.types.KeyingSet.bl_label`

bpy.types.BlendDataScenes
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataScenes.tag`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.camera_override`

bpy.types.BackgroundImage
-------------------------

Added
^^^^^

* :class:`bpy.types.BackgroundImage.show_on_foreground`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.preview_active_layer`
* :class:`bpy.types.CyclesRenderSettings.sample_clamp`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.double_threshold`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.render_slot`

bpy.types.MovieTrackingStabilization
------------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingStabilization.filter_type`

bpy.types.DomainFluidSettings
-----------------------------

Removed
^^^^^^^

* **viscosity_preset**

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.use_rotations`

bpy.types.SceneGameData
-----------------------

Renamed
^^^^^^^

* **dome_tesselation** -> :class:`bpy.types.SceneGameData.dome_tessellation`

bpy.types.RegionView3D
----------------------

Added
^^^^^

* :class:`bpy.types.RegionView3D.update`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.active_layer`

bpy.types.ShaderNodeTexEnvironment
----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexEnvironment.projection`

bpy.types.UserPreferencesEdit
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesEdit.fcurve_unselected_alpha`

bpy.types.MeshTextureFace
-------------------------

Removed
^^^^^^^

* **pin_uv**
* **select_uv**

bpy.types.Menu
--------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Menu.path_menu` (self, searchpaths, operator, props_default, filter_ext), *was (self, searchpaths, operator, props_default)*

bpy.types.CompositorNodeDistanceMatte
-------------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeDistanceMatte.channel`

bpy.types.KeyingSetInfo
-----------------------

Added
^^^^^

* :class:`bpy.types.KeyingSetInfo.bl_description`

bpy.types.KeyingSets
--------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.KeyingSets.new` (idname, name), *was (name)*

bpy.types.CompositorNodeOutputFile
----------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeOutputFile.active_input`
* :class:`bpy.types.CompositorNodeOutputFile.active_input_index`
* :class:`bpy.types.CompositorNodeOutputFile.base_path`

Removed
^^^^^^^

* **filepath**
* **frame_end**
* **frame_start**

Renamed
^^^^^^^

* **image_settings** -> :class:`bpy.types.CompositorNodeOutputFile.format`

bpy.types.CyclesCameraSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCameraSettings.aperture_fstop`
* :class:`bpy.types.CyclesCameraSettings.aperture_type`

bpy.types.Struct
----------------

Added
^^^^^

* :class:`bpy.types.Struct.translation_context`

bpy.types.ThemeSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSequenceEditor.movieclip_strip`
* :class:`bpy.types.ThemeSequenceEditor.preview_back`

bpy.types.TexMapping
--------------------

Renamed
^^^^^^^

* **location** -> :class:`bpy.types.TexMapping.translation`

bpy.types.ArmatureActuator
--------------------------

Added
^^^^^

* :class:`bpy.types.ArmatureActuator.influence`

bpy.types.ThemeTextEditor
-------------------------

Removed
^^^^^^^

* **scroll_bar**

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.wcol_tooltip`

bpy.types.MeshEdge
------------------

Removed
^^^^^^^

* **is_fgon**

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.sculpt_capabilities`

Renamed
^^^^^^^

* **use_space_atten** -> :class:`bpy.types.Brush.use_space_attenuation`

bpy.types.ShaderNodeMapping
---------------------------

Renamed
^^^^^^^

* **location** -> :class:`bpy.types.ShaderNodeMapping.translation`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.auto_texspace`
* :class:`bpy.types.Mesh.calc_tessface`
* :class:`bpy.types.Mesh.loops`
* :class:`bpy.types.Mesh.polygons`
* :class:`bpy.types.Mesh.tessface_uv_textures`
* :class:`bpy.types.Mesh.tessface_vertex_colors`
* :class:`bpy.types.Mesh.tessfaces`
* :class:`bpy.types.Mesh.unit_test_compare`
* :class:`bpy.types.Mesh.uv_layer_clone`
* :class:`bpy.types.Mesh.uv_layer_clone_index`
* :class:`bpy.types.Mesh.uv_layer_stencil`
* :class:`bpy.types.Mesh.uv_layer_stencil_index`
* :class:`bpy.types.Mesh.uv_layers`

Removed
^^^^^^^

* **faces**
* **layers_float**
* **layers_string**

Renamed
^^^^^^^

* **layers_int** -> :class:`bpy.types.Mesh.polygon_layers_float`
* **layers_int** -> :class:`bpy.types.Mesh.polygon_layers_int`
* **layers_int** -> :class:`bpy.types.Mesh.polygon_layers_string`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.update` (calc_edges, calc_tessface), *was (calc_edges)*

bpy.types.Key
-------------

Added
^^^^^

* :class:`bpy.types.Key.eval_time`

bpy.types.LatticeModifier
-------------------------

Added
^^^^^

* :class:`bpy.types.LatticeModifier.strength`

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.quit_dialog`


2.63 to 2.64
============

bpy.types.CyclesLampSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesLampSettings.samples`

bpy.types.Histogram
-------------------

Added
^^^^^

* :class:`bpy.types.Histogram.show_line`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.bone_pose_active`
* :class:`bpy.types.ThemeView3D.skin_root`

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.fall_speed`
* :class:`bpy.types.GameObjectSettings.jump_speed`
* :class:`bpy.types.GameObjectSettings.step_height`


bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.masks`


bpy.types.TextureNodeMixRGB
---------------------------

Added
^^^^^

* :class:`bpy.types.TextureNodeMixRGB.use_clamp`

bpy.types.SmokeCollSettings
---------------------------

Added
^^^^^

* :class:`bpy.types.SmokeCollSettings.collision_type`

bpy.types.CompositorNodes
-------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodes.active`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.resolution_x`
* :class:`bpy.types.RenderEngine.resolution_y`
* :class:`bpy.types.RenderEngine.tile_x`
* :class:`bpy.types.RenderEngine.tile_y`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.begin_result` (x, y, w, h, layer), *was (x, y, w, h)*
* :class:`bpy.types.RenderEngine.end_result` (result, cancel), *was (result)*

bpy.types.BackgroundImage
-------------------------

Added
^^^^^

* :class:`bpy.types.BackgroundImage.draw_depth`
* :class:`bpy.types.BackgroundImage.frame_method`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.cell_size`
* :class:`bpy.types.SmokeDomainSettings.density`
* :class:`bpy.types.SmokeDomainSettings.domain_resolution`
* :class:`bpy.types.SmokeDomainSettings.scale`
* :class:`bpy.types.SmokeDomainSettings.start_point`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.aa_samples`
* :class:`bpy.types.CyclesRenderSettings.ao_samples`
* :class:`bpy.types.CyclesRenderSettings.blur_glossy`
* :class:`bpy.types.CyclesRenderSettings.diffuse_samples`
* :class:`bpy.types.CyclesRenderSettings.glossy_samples`
* :class:`bpy.types.CyclesRenderSettings.mesh_light_samples`
* :class:`bpy.types.CyclesRenderSettings.preview_aa_samples`
* :class:`bpy.types.CyclesRenderSettings.preview_start_resolution`
* :class:`bpy.types.CyclesRenderSettings.progressive`
* :class:`bpy.types.CyclesRenderSettings.transmission_samples`

Removed
^^^^^^^

* **blur_caustics**
* **debug_min_size**

bpy.types.ActionGroup
---------------------

Added
^^^^^

* :class:`bpy.types.ActionGroup.color_set`
* :class:`bpy.types.ActionGroup.colors`

Removed
^^^^^^^

* **custom_color**

bpy.types.WipeSequence
----------------------

Added
^^^^^

* :class:`bpy.types.WipeSequence.input_1`
* :class:`bpy.types.WipeSequence.input_count`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.snap_node_element`
* :class:`bpy.types.ToolSettings.use_proportional_edit_mask`

bpy.types.ThemeClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeClipEditor.space_list`
* :class:`bpy.types.ThemeClipEditor.strips`
* :class:`bpy.types.ThemeClipEditor.strips_selected`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.colorspace_settings`
* :class:`bpy.types.Image.frame_duration`
* :class:`bpy.types.Image.gl_touch`
* :class:`bpy.types.Image.scale`
* :class:`bpy.types.Image.view_as_render`


bpy.types.ThemeDopeSheet
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeDopeSheet.summary`

bpy.types.MovieClipUser
-----------------------

Renamed
^^^^^^^

* **current_frame** -> :class:`bpy.types.MovieClipUser.frame_current`

bpy.types.TransformSequence
---------------------------

Added
^^^^^

* :class:`bpy.types.TransformSequence.input_1`
* :class:`bpy.types.TransformSequence.input_count`

bpy.types.ImageSequence
-----------------------

Removed
^^^^^^^

* **color_balance**
* **use_color_balance**

bpy.types.DupliObject
---------------------

Added
^^^^^

* :class:`bpy.types.DupliObject.index`
* :class:`bpy.types.DupliObject.particle_index`

bpy.types.RenderSettings
------------------------

Removed
^^^^^^^

* **use_color_management**
* **use_radiosity**

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.bevel_factor_end`
* :class:`bpy.types.Curve.bevel_factor_start`

bpy.types.MovieClip
-------------------

Added
^^^^^

* :class:`bpy.types.MovieClip.colorspace_settings`
* :class:`bpy.types.MovieClip.frame_duration`
* :class:`bpy.types.MovieClip.frame_offset`
* :class:`bpy.types.MovieClip.frame_start`

bpy.types.CompositorNodeTree
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeTree.chunk_size`
* :class:`bpy.types.CompositorNodeTree.edit_quality`
* :class:`bpy.types.CompositorNodeTree.render_quality`
* :class:`bpy.types.CompositorNodeTree.two_pass`
* :class:`bpy.types.CompositorNodeTree.use_opencl`

bpy.types.SpaceUVEditor
-----------------------

Removed
^^^^^^^

* **cursor_location**
* **pivot_point**

bpy.types.RemeshModifier
------------------------

Added
^^^^^

* :class:`bpy.types.RemeshModifier.use_smooth_shade`

bpy.types.CurveMapping
----------------------

Added
^^^^^

* :class:`bpy.types.CurveMapping.update`

bpy.types.CompositorNodeMixRGB
------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeMixRGB.use_clamp`

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.use_scale_dupli`

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.deactivation_angular_threshold`
* :class:`bpy.types.SceneGameData.deactivation_linear_threshold`
* :class:`bpy.types.SceneGameData.deactivation_time`

bpy.types.SoundSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.SoundSequence.show_waveform`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.display_settings`
* :class:`bpy.types.Scene.sequence_editor_clear`
* :class:`bpy.types.Scene.sequence_editor_create`
* :class:`bpy.types.Scene.sequencer_colorspace_settings`
* :class:`bpy.types.Scene.view_settings`

Removed
^^^^^^^

* **collada_export**

bpy.types.Armature
------------------

Removed
^^^^^^^

* **use_deform_envelopes**
* **use_deform_preserve_volume**
* **use_deform_vertex_groups**

bpy.types.MeshUVLoopLayer
-------------------------

Added
^^^^^

* :class:`bpy.types.MeshUVLoopLayer.name`

bpy.types.CurveMap
------------------

Added
^^^^^

* :class:`bpy.types.CurveMap.evaluate`

bpy.types.ShaderNodeTexEnvironment
----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexEnvironment.image_user`

bpy.types.SolidifyModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.SolidifyModifier.use_flip_normals`

bpy.types.TextureNodeMath
-------------------------

Added
^^^^^

* :class:`bpy.types.TextureNodeMath.use_clamp`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.layers_exclude`
* :class:`bpy.types.SceneRenderLayer.samples`

bpy.types.CompositorNodeViewer
------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeViewer.center_x`
* :class:`bpy.types.CompositorNodeViewer.center_y`
* :class:`bpy.types.CompositorNodeViewer.tile_order`

bpy.types.ClothCollisionSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.ClothCollisionSettings.vertex_group_self_collisions`

bpy.types.SpeedControlSequence
------------------------------

Added
^^^^^

* :class:`bpy.types.SpeedControlSequence.input_1`
* :class:`bpy.types.SpeedControlSequence.input_count`

bpy.types.ActionConstraint
--------------------------

Added
^^^^^

* :class:`bpy.types.ActionConstraint.use_bone_object_action`

bpy.types.CompositorNodeScale
-----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeScale.frame_method`
* :class:`bpy.types.CompositorNodeScale.offset_x`
* :class:`bpy.types.CompositorNodeScale.offset_y`

bpy.types.SpaceDopeSheetEditor
------------------------------

Added
^^^^^

* :class:`bpy.types.SpaceDopeSheetEditor.show_group_colors`

bpy.types.MetaSequence
----------------------

Removed
^^^^^^^

* **color_balance**
* **use_color_balance**

bpy.types.ShaderNodeMixRGB
--------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeMixRGB.use_clamp`

bpy.types.FollowTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.FollowTrackConstraint.frame_method`

bpy.types.EffectSequence
------------------------

Removed
^^^^^^^

* **color_balance**
* **use_color_balance**

bpy.types.ThemeNLAEditor
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNLAEditor.active_action`
* :class:`bpy.types.ThemeNLAEditor.active_action_unset`
* :class:`bpy.types.ThemeNLAEditor.meta_strips`
* :class:`bpy.types.ThemeNLAEditor.meta_strips_selected`
* :class:`bpy.types.ThemeNLAEditor.sound_strips`
* :class:`bpy.types.ThemeNLAEditor.sound_strips_selected`
* :class:`bpy.types.ThemeNLAEditor.transition_strips`
* :class:`bpy.types.ThemeNLAEditor.transition_strips_selected`
* :class:`bpy.types.ThemeNLAEditor.tweak`
* :class:`bpy.types.ThemeNLAEditor.tweak_duplicate`

Removed
^^^^^^^

* **bars**
* **bars_selected**

bpy.types.SculptCapabilities
----------------------------

Added
^^^^^

* :class:`bpy.types.SculptCapabilities.has_overlay`
* :class:`bpy.types.SculptCapabilities.has_texture_angle`
* :class:`bpy.types.SculptCapabilities.has_texture_angle_source`

bpy.types.ImageFormatSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.ImageFormatSettings.display_settings`
* :class:`bpy.types.ImageFormatSettings.view_settings`


bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.is_library_editable`

bpy.types.MovieTrackingTrack
----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingTrack.grease_pencil`
* :class:`bpy.types.MovieTrackingTrack.motion_model`
* :class:`bpy.types.MovieTrackingTrack.use_alpha_preview`
* :class:`bpy.types.MovieTrackingTrack.use_brute`
* :class:`bpy.types.MovieTrackingTrack.use_mask`
* :class:`bpy.types.MovieTrackingTrack.use_normalization`

Removed
^^^^^^^

* **pattern_max**
* **pattern_min**
* **pyramid_levels**
* **search_max**
* **search_min**
* **tracker**

bpy.types.CompositorNodeBlur
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeBlur.use_variable_size`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.dm_info`
* :class:`bpy.types.Object.is_deform_modified`
* :class:`bpy.types.Object.layers_local_view`

Renamed
^^^^^^^

* **animation_visualisation** -> :class:`bpy.types.Object.animation_visualization`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.use_gpu_mipmap`

Removed
^^^^^^^

* **compute_device**
* **compute_device_type**

bpy.types.Sequence
------------------

Added
^^^^^

* :class:`bpy.types.Sequence.modifiers`
* :class:`bpy.types.Sequence.use_linear_modifiers`

Removed
^^^^^^^

* **input_1**
* **input_2**
* **input_3**
* **input_count**
* **waveform**

bpy.types.ConsoleLine
---------------------

Added
^^^^^

* :class:`bpy.types.ConsoleLine.type`

bpy.types.Region
----------------

Added
^^^^^

* :class:`bpy.types.Region.view2d`
* :class:`bpy.types.Region.x`
* :class:`bpy.types.Region.y`

bpy.types.SpaceClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceClipEditor.grease_pencil_source`
* :class:`bpy.types.SpaceClipEditor.mask`
* :class:`bpy.types.SpaceClipEditor.mask_draw_type`
* :class:`bpy.types.SpaceClipEditor.pivot_point`
* :class:`bpy.types.SpaceClipEditor.show_graph_hidden`
* :class:`bpy.types.SpaceClipEditor.show_graph_only_selected`
* :class:`bpy.types.SpaceClipEditor.show_mask_smooth`
* :class:`bpy.types.SpaceClipEditor.show_seconds`

bpy.types.NodeSocket
--------------------

Added
^^^^^

* :class:`bpy.types.NodeSocket.hide`
* :class:`bpy.types.NodeSocket.is_linked`

bpy.types.MovieClipSequence
---------------------------

Removed
^^^^^^^

* **color_balance**
* **use_color_balance**

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.color`
* :class:`bpy.types.Node.hide`
* :class:`bpy.types.Node.mute`
* :class:`bpy.types.Node.select`
* :class:`bpy.types.Node.show_options`
* :class:`bpy.types.Node.show_preview`
* :class:`bpy.types.Node.use_custom_color`

bpy.types.SceneSequence
-----------------------

Removed
^^^^^^^

* **color_balance**
* **use_color_balance**

bpy.types.CompositorNodeOutputFile
----------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeOutputFile.file_slots`
* :class:`bpy.types.CompositorNodeOutputFile.layer_slots`

Removed
^^^^^^^

* **active_input**

bpy.types.ObjectBase
--------------------

Added
^^^^^

* :class:`bpy.types.ObjectBase.layers_local_view`

bpy.types.CyclesCameraSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCameraSettings.fisheye_fov`
* :class:`bpy.types.CyclesCameraSettings.fisheye_lens`
* :class:`bpy.types.CyclesCameraSettings.panorama_type`

bpy.types.CompositorNodeDefocus
-------------------------------

Removed
^^^^^^^

* **samples**

bpy.types.KeyMapItems
---------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.KeyMapItems.new` (idname, type, value, any, shift, ctrl, alt, oskey, key_modifier, head), *was (idname, type, value, any, shift, ctrl, alt, oskey, key_modifier)*

bpy.types.CollisionSettings
---------------------------

Added
^^^^^

* :class:`bpy.types.CollisionSettings.stickiness`

Removed
^^^^^^^

* **stickness**

bpy.types.GlowSequence
----------------------

Added
^^^^^

* :class:`bpy.types.GlowSequence.input_1`
* :class:`bpy.types.GlowSequence.input_count`

bpy.types.MouseSensor
---------------------

Added
^^^^^

* :class:`bpy.types.MouseSensor.use_pulse`

bpy.types.MovieSequence
-----------------------

Removed
^^^^^^^

* **color_balance**
* **use_color_balance**

bpy.types.Pose
--------------

Renamed
^^^^^^^

* **animation_visualisation** -> :class:`bpy.types.Pose.animation_visualization`

bpy.types.ThemeSequenceEditor
-----------------------------

Removed
^^^^^^^

* **plugin_strip**

bpy.types.IMAGE_UV_sculpt
-------------------------

Added
^^^^^

* :class:`bpy.types.IMAGE_UV_sculpt.prop_unified_weight`

bpy.types.SpaceImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceImageEditor.cursor_location`
* :class:`bpy.types.SpaceImageEditor.mask`
* :class:`bpy.types.SpaceImageEditor.mask_draw_type`
* :class:`bpy.types.SpaceImageEditor.mode`
* :class:`bpy.types.SpaceImageEditor.pivot_point`
* :class:`bpy.types.SpaceImageEditor.show_mask_smooth`
* :class:`bpy.types.SpaceImageEditor.show_maskedit`

Removed
^^^^^^^

* **curve**
* **use_grease_pencil**
* **use_image_paint**

bpy.types.UserPreferencesFilePaths
----------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesFilePaths.i18n_branches_directory`

Removed
^^^^^^^

* **sequence_plugin_directory**
* **texture_plugin_directory**

bpy.types.CompositorNodeDilateErode
-----------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeDilateErode.edge`
* :class:`bpy.types.CompositorNodeDilateErode.falloff`
* :class:`bpy.types.CompositorNodeDilateErode.type`

bpy.types.ScrewModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.ScrewModifier.use_smooth_shade`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.cursor_location`
* :class:`bpy.types.SpaceNodeEditor.edit_tree`
* :class:`bpy.types.SpaceNodeEditor.show_highlight`
* :class:`bpy.types.SpaceNodeEditor.use_hidden_preview`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.layers_local_view`
* :class:`bpy.types.SpaceView3D.show_backface_culling`

bpy.types.Area
--------------

Added
^^^^^

* :class:`bpy.types.Area.x`
* :class:`bpy.types.Area.y`

bpy.types.RenderLayer
---------------------

Added
^^^^^

* :class:`bpy.types.RenderLayer.layers_exclude`

bpy.types.MovieTracking
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieTracking.dopesheet`

bpy.types.MovieTrackingSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingSettings.default_motion_model`
* :class:`bpy.types.MovieTrackingSettings.use_default_brute`
* :class:`bpy.types.MovieTrackingSettings.use_default_mask`
* :class:`bpy.types.MovieTrackingSettings.use_default_normalization`
* :class:`bpy.types.MovieTrackingSettings.use_tripod_solver`

Removed
^^^^^^^

* **default_pyramid_levels**
* **default_tracker**

bpy.types.CompositorNodeIDMask
------------------------------

Renamed
^^^^^^^

* **use_smooth_mask** -> :class:`bpy.types.CompositorNodeIDMask.use_antialiasing`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.ndof_orbit_sensitivity`
* :class:`bpy.types.UserPreferencesInput.ndof_view_rotate_method`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.mask_tool`
* :class:`bpy.types.Brush.weight`

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.overlay_type`

Removed
^^^^^^^

* **use_grease_pencil**

bpy.types.MovieTrackingMarkers
------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.MovieTrackingMarkers.find_frame` (frame, exact), *was (frame)*

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_colormanaged_view_settings`
* :class:`bpy.types.UILayout.template_colorspace_settings`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_image_settings` (image_settings, color_management), *was (image_settings)*

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.is_library_indirect`

bpy.types.SpaceGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceGraphEditor.show_group_colors`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.skin_vertices`

Removed
^^^^^^^

* **sticky**

bpy.types.ShaderNodes
---------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodes.active`

bpy.types.ColorSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.ColorSequence.input_count`

bpy.types.ShaderNodeMath
------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeMath.use_clamp`

bpy.types.Paint
---------------

Added
^^^^^

* :class:`bpy.types.Paint.input_samples`

bpy.types.ShaderNodeTexImage
----------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexImage.image_user`
* :class:`bpy.types.ShaderNodeTexImage.projection`
* :class:`bpy.types.ShaderNodeTexImage.projection_blend`

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.use_mouse_depth_cursor`

Renamed
^^^^^^^

* **use_mouse_auto_depth** -> :class:`bpy.types.UserPreferencesView.use_mouse_depth_navigate`

bpy.types.CompositorNodeMath
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeMath.use_clamp`

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.use_uv_project`

bpy.types.ThemeNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNodeEditor.frame_node`
* :class:`bpy.types.ThemeNodeEditor.node_active`
* :class:`bpy.types.ThemeNodeEditor.node_selected`

bpy.types.Camera
----------------

Removed
^^^^^^^

* **use_panorama**

bpy.types.UnifiedPaintSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.UnifiedPaintSettings.use_unified_weight`
* :class:`bpy.types.UnifiedPaintSettings.weight`

bpy.types.TextureNodes
----------------------

Added
^^^^^

* :class:`bpy.types.TextureNodes.active`

bpy.types.MovieTrackingMarker
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingMarker.pattern_bound_box`
* :class:`bpy.types.MovieTrackingMarker.pattern_corners`
* :class:`bpy.types.MovieTrackingMarker.search_max`
* :class:`bpy.types.MovieTrackingMarker.search_min`

bpy.types.CyclesWorldSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesWorldSettings.samples`

bpy.types.LatticePoint
----------------------

Added
^^^^^

* :class:`bpy.types.LatticePoint.select`


2.64 to 2.65
============

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.adapt_margin`
* :class:`bpy.types.SmokeDomainSettings.adapt_threshold`
* :class:`bpy.types.SmokeDomainSettings.additional_res`
* :class:`bpy.types.SmokeDomainSettings.burning_rate`
* :class:`bpy.types.SmokeDomainSettings.flame_ignition`
* :class:`bpy.types.SmokeDomainSettings.flame_max_temp`
* :class:`bpy.types.SmokeDomainSettings.flame_smoke`
* :class:`bpy.types.SmokeDomainSettings.flame_smoke_color`
* :class:`bpy.types.SmokeDomainSettings.flame_vorticity`
* :class:`bpy.types.SmokeDomainSettings.use_adaptive_domain`

Removed
^^^^^^^

* **scale**

bpy.types.BezierSplinePoint
---------------------------

Renamed
^^^^^^^

* **weight** -> :class:`bpy.types.BezierSplinePoint.weight_softbody`

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.use_light_group_local`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.use_map_taper`

bpy.types.EffectorWeights
-------------------------

Added
^^^^^

* :class:`bpy.types.EffectorWeights.smokeflow`

bpy.types.FieldSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.FieldSettings.source_object`
* :class:`bpy.types.FieldSettings.use_smoke_density`

bpy.types.GPencilFrame
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilFrame.clear`

bpy.types.UserPreferencesView
-----------------------------

Renamed
^^^^^^^

* **quit_dialog** -> :class:`bpy.types.UserPreferencesView.use_quit_dialog`

bpy.types.GreasePencilLayers
----------------------------

Added
^^^^^

* :class:`bpy.types.GreasePencilLayers.new`
* :class:`bpy.types.GreasePencilLayers.remove`

bpy.types.PointCache
--------------------

Removed
^^^^^^^

* **use_quick_cache**

bpy.types.KinematicConstraint
-----------------------------

Removed
^^^^^^^

* **use_target**

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_only_errors`

bpy.types.UILayout
------------------

Renamed
^^^^^^^

* **template_color_wheel** -> :class:`bpy.types.UILayout.template_color_picker`

bpy.types.GPencilStroke
-----------------------

Added
^^^^^

* :class:`bpy.types.GPencilStroke.draw_mode`

bpy.types.UserPreferencesEdit
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesEdit.use_auto_keying_warning`

bpy.types.MovieTrackingObject
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingObject.keyframe_a`
* :class:`bpy.types.MovieTrackingObject.keyframe_b`

bpy.types.ShrinkwrapModifier
----------------------------

Added
^^^^^

* :class:`bpy.types.ShrinkwrapModifier.project_limit`

bpy.types.FileSelectParams
--------------------------

Added
^^^^^

* :class:`bpy.types.FileSelectParams.use_filter_backup`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.tile_x`
* :class:`bpy.types.RenderSettings.tile_y`
* :class:`bpy.types.RenderSettings.use_persistent_data`

Removed
^^^^^^^

* **parts_x**
* **parts_y**
* **use_sequencer_gl_render**

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.show_diffuse_color`

bpy.types.SmokeFlowSettings
---------------------------

Added
^^^^^

* :class:`bpy.types.SmokeFlowSettings.density_vertex_group`
* :class:`bpy.types.SmokeFlowSettings.fuel_amount`
* :class:`bpy.types.SmokeFlowSettings.noise_texture`
* :class:`bpy.types.SmokeFlowSettings.smoke_color`
* :class:`bpy.types.SmokeFlowSettings.smoke_flow_source`
* :class:`bpy.types.SmokeFlowSettings.smoke_flow_type`
* :class:`bpy.types.SmokeFlowSettings.surface_distance`
* :class:`bpy.types.SmokeFlowSettings.texture_map_type`
* :class:`bpy.types.SmokeFlowSettings.texture_offset`
* :class:`bpy.types.SmokeFlowSettings.texture_size`
* :class:`bpy.types.SmokeFlowSettings.use_texture`
* :class:`bpy.types.SmokeFlowSettings.uv_layer`
* :class:`bpy.types.SmokeFlowSettings.velocity_normal`
* :class:`bpy.types.SmokeFlowSettings.velocity_random`
* :class:`bpy.types.SmokeFlowSettings.volume_density`

Removed
^^^^^^^

* **use_outflow**

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.collision_group`
* :class:`bpy.types.GameObjectSettings.collision_mask`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.grid_scale_unit`
* :class:`bpy.types.SpaceView3D.render_border_max_x`
* :class:`bpy.types.SpaceView3D.render_border_max_y`
* :class:`bpy.types.SpaceView3D.render_border_min_x`
* :class:`bpy.types.SpaceView3D.render_border_min_y`
* :class:`bpy.types.SpaceView3D.use_render_border`

bpy.types.DupliObject
---------------------

Added
^^^^^

* :class:`bpy.types.DupliObject.orco`
* :class:`bpy.types.DupliObject.particle_system`
* :class:`bpy.types.DupliObject.persistent_id`
* :class:`bpy.types.DupliObject.type`
* :class:`bpy.types.DupliObject.uv`

Removed
^^^^^^^

* **particle_index**

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.use_progressive_refine`

bpy.types.MaterialTextureSlot
-----------------------------

Added
^^^^^

* :class:`bpy.types.MaterialTextureSlot.use_map_to_bounds`

bpy.types.MovieSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieSequence.colorspace_settings`

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.clear`

bpy.types.CYCLES
----------------

Added
^^^^^

* :class:`bpy.types.CYCLES.update_script_node`

bpy.types.ImageSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.ImageSequence.colorspace_settings`

bpy.types.LatticePoint
----------------------

Added
^^^^^

* :class:`bpy.types.LatticePoint.weight_softbody`

bpy.types.DecimateModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.DecimateModifier.angle_limit`
* :class:`bpy.types.DecimateModifier.decimate_type`
* :class:`bpy.types.DecimateModifier.invert_vertex_group`
* :class:`bpy.types.DecimateModifier.iterations`
* :class:`bpy.types.DecimateModifier.use_collapse_triangulate`
* :class:`bpy.types.DecimateModifier.use_dissolve_boundaries`
* :class:`bpy.types.DecimateModifier.vertex_group`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.multi_sample`

Removed
^^^^^^^

* **use_antialiasing**

bpy.types.Text
--------------

Removed
^^^^^^^

* **markers**

bpy.types.GreasePencil
----------------------

Added
^^^^^

* :class:`bpy.types.GreasePencil.clear`

bpy.types.UserPreferencesFilePaths
----------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesFilePaths.hide_system_bookmarks`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.snap_uv_element`

bpy.types.ShaderNodeTexCoord
----------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexCoord.from_dupli`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.update_memory_stats`
* :class:`bpy.types.RenderEngine.update_script_node`

bpy.types.MovieTrackingSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingSettings.reconstruction_success_threshold`
* :class:`bpy.types.MovieTrackingSettings.use_fallback_reconstruction`

Removed
^^^^^^^

* **keyframe_a**
* **keyframe_b**

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.axis_x`
* :class:`bpy.types.ThemeUserInterface.axis_y`
* :class:`bpy.types.ThemeUserInterface.axis_z`

bpy.types.BlendDataGreasePencils
--------------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataGreasePencils.new`
* :class:`bpy.types.BlendDataGreasePencils.remove`

bpy.types.Object
----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Object.dupli_list_create` (scene, settings), *was (scene)*

2.65 to 2.66
============

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.enum_item_description`
* :class:`bpy.types.UILayout.enum_item_icon`
* :class:`bpy.types.UILayout.enum_item_name`
* :class:`bpy.types.UILayout.icon`
* :class:`bpy.types.UILayout.template_icon_view`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.label` (text, text_ctxt, translate, icon, icon_value), *was (text, icon)*
* :class:`bpy.types.UILayout.menu` (menu, text, text_ctxt, translate, icon), *was (menu, text, icon)*
* :class:`bpy.types.UILayout.operator` (operator, text, text_ctxt, translate, icon, emboss), *was (operator, text, icon, emboss)*
* :class:`bpy.types.UILayout.operator_menu_enum` (operator, property, text, text_ctxt, translate, icon), *was (operator, property, text, icon)*
* :class:`bpy.types.UILayout.prop` (data, property, text, text_ctxt, translate, icon, expand, slider, toggle, icon_only, event, full_event, emboss, index), *was (data, property, text, icon, expand, slider, toggle, icon_only, event, full_event, emboss, index)*
* :class:`bpy.types.UILayout.prop_enum` (data, property, value, text, text_ctxt, translate, icon), *was (data, property, value, text, icon)*
* :class:`bpy.types.UILayout.prop_menu_enum` (data, property, text, text_ctxt, translate, icon), *was (data, property, text, icon)*
* :class:`bpy.types.UILayout.prop_search` (data, property, search_data, search_property, text, text_ctxt, translate, icon), *was (data, property, search_data, search_property, text, icon)*
* :class:`bpy.types.UILayout.template_any_ID` (data, property, type_property, text, text_ctxt, translate), *was (data, property, type_property, text)*
* :class:`bpy.types.UILayout.template_list` (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, rows, maxrows, type), *was (data, property, active_data, active_property, prop_list, rows, maxrows, type)*
* :class:`bpy.types.UILayout.template_path_builder` (data, property, root, text, text_ctxt, translate), *was (data, property, root, text)*

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.cycles_curves`
* :class:`bpy.types.Scene.rigidbody_world`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.collada_export` (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_object_instantiation, sort_by_name, second_life), *was (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_object_instantiation, sort_by_name, second_life)*

bpy.types.ThemeGraphEditor
--------------------------

Removed
^^^^^^^

* **panel**

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.use_customdata_edge_bevel`
* :class:`bpy.types.Mesh.use_customdata_edge_crease`
* :class:`bpy.types.Mesh.use_customdata_vertex_bevel`

Removed
^^^^^^^

* **show_all_edges**

bpy.types.ThemeSpaceGeneric
---------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSpaceGeneric.panelcolors`

bpy.types.ImageFormatSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.ImageFormatSettings.jpeg2k_codec`

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.menu_shadow_fac`
* :class:`bpy.types.ThemeUserInterface.menu_shadow_width`

Removed
^^^^^^^

* **panel**

bpy.types.SceneSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.UserPreferencesFilePaths
----------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesFilePaths.use_keep_session`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.height`
* :class:`bpy.types.Node.width`
* :class:`bpy.types.Node.width_hidden`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.detail_size`
* :class:`bpy.types.Sculpt.symmetrize_direction`
* :class:`bpy.types.Sculpt.use_edge_collapse`
* :class:`bpy.types.Sculpt.use_smooth_shading`

bpy.types.EnumPropertyItem
--------------------------

Added
^^^^^

* :class:`bpy.types.EnumPropertyItem.icon`

bpy.types.ThemePanelColors
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemePanelColors.back`
* :class:`bpy.types.ThemePanelColors.show_back`

bpy.types.WindowManager
-----------------------

Removed
^^^^^^^

* **rigify_active_type**
* **rigify_collection**
* **rigify_types**

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.cycles`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.bake_samples`
* :class:`bpy.types.RenderSettings.use_bake_to_vertex_color`
* :class:`bpy.types.RenderSettings.use_sequencer_gl_textured_solid`

Removed
^^^^^^^

* **use_color_unpremultiply**

bpy.types.MovieClipSequence
---------------------------

Added
^^^^^

* :class:`bpy.types.MovieClipSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.EffectSequence
------------------------

Added
^^^^^

* :class:`bpy.types.EffectSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.BrushTextureSlot
--------------------------

Added
^^^^^

* :class:`bpy.types.BrushTextureSlot.tex_paint_map_mode`

bpy.types.Sequences
-------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Sequences.new_clip` (name, clip, channel, frame_start), *was (name, clip, channel, start_frame)*
* :class:`bpy.types.Sequences.new_effect` (name, type, channel, frame_start, frame_end, seq1, seq2, seq3), *was (name, type, channel, start_frame, end_frame, seq1, seq2, seq3)*
* :class:`bpy.types.Sequences.new_image` (name, filepath, channel, frame_start), *was (name, filepath, channel, start_frame)*
* :class:`bpy.types.Sequences.new_mask` (name, mask, channel, frame_start), *was (name, mask, channel, start_frame)*
* :class:`bpy.types.Sequences.new_movie` (name, filepath, channel, frame_start), *was (name, filepath, channel, start_frame)*
* :class:`bpy.types.Sequences.new_scene` (name, scene, channel, frame_start), *was (name, scene, channel, start_frame)*
* :class:`bpy.types.Sequences.new_sound` (name, filepath, channel, frame_start), *was (name, filepath, channel, start_frame)*

bpy.types.ThemeTextEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeTextEditor.syntax_preprocessor`
* :class:`bpy.types.ThemeTextEditor.syntax_reserved`
* :class:`bpy.types.ThemeTextEditor.syntax_symbols`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.use_trackpad_natural`

bpy.types.PoseBone
------------------

Removed
^^^^^^^

* **rigify_parameters**
* **rigify_type**

bpy.types.MetaBall
------------------

Added
^^^^^

* :class:`bpy.types.MetaBall.transform`

bpy.types.Sequence
------------------

Added
^^^^^

* :class:`bpy.types.Sequence.update`

Renamed
^^^^^^^

* **getStripElem** -> :class:`bpy.types.Sequence.strip_elem_from_frame`

bpy.types.LaplacianSmoothModifier
---------------------------------

Added
^^^^^

* :class:`bpy.types.LaplacianSmoothModifier.use_normalized`

bpy.types.Armature
------------------

Removed
^^^^^^^

* **rigify_layers**

bpy.types.Window
----------------

Added
^^^^^

* :class:`bpy.types.Window.height`
* :class:`bpy.types.Window.width`
* :class:`bpy.types.Window.x`
* :class:`bpy.types.Window.y`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.convert_space`
* :class:`bpy.types.Object.extra_recalc_data`
* :class:`bpy.types.Object.extra_recalc_object`
* :class:`bpy.types.Object.rigid_body`
* :class:`bpy.types.Object.rigid_body_constraint`
* :class:`bpy.types.Object.show_all_edges`
* :class:`bpy.types.Object.use_dynamic_topology_sculpting`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Object.to_mesh` (scene, apply_modifiers, settings, calc_tessface), *was (scene, apply_modifiers, settings)*

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.raster_storage`
* :class:`bpy.types.SceneGameData.use_material_caching`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.tile_order`

bpy.types.Brush
---------------

Removed
^^^^^^^

* **use_fixed_texture**

bpy.types.SpaceClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceClipEditor.show_grease_pencil`

bpy.types.MovieSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.show_grease_pencil`

bpy.types.MetaSequence
----------------------

Added
^^^^^

* :class:`bpy.types.MetaSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.ThemeNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNodeEditor.distor_node`
* :class:`bpy.types.ThemeNodeEditor.matte_node`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.use_region_overlap`

bpy.types.CyclesLampSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesLampSettings.use_multiple_importance_sampling`

bpy.types.CompositorNodeTree
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeTree.use_groupnode_buffer`

bpy.types.ObjectActuator
------------------------

Added
^^^^^

* :class:`bpy.types.ObjectActuator.use_add_character_location`
* :class:`bpy.types.ObjectActuator.use_character_jump`

bpy.types.Bone
--------------

Added
^^^^^

* :class:`bpy.types.Bone.use_relative_parent`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.use_highlight_tiles`

bpy.types.ThemeConsole
----------------------

Added
^^^^^

* :class:`bpy.types.ThemeConsole.select`

bpy.types.ThemeLogicEditor
--------------------------

Removed
^^^^^^^

* **panel**

bpy.types.ParticleSystem
------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSystem.co_hair`
* :class:`bpy.types.ParticleSystem.mcol_on_emitter`
* :class:`bpy.types.ParticleSystem.set_resolution`
* :class:`bpy.types.ParticleSystem.uv_on_emitter`

bpy.types.ThemeProperties
-------------------------

Removed
^^^^^^^

* **panel**

bpy.types.ThemeView3D
---------------------

Removed
^^^^^^^

* **panel**

bpy.types.ImageUser
-------------------

Added
^^^^^

* :class:`bpy.types.ImageUser.frame_current`

bpy.types.SpaceTimeline
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceTimeline.cache_rigidbody`

bpy.types.Function
------------------

Added
^^^^^

* :class:`bpy.types.Function.use_self_type`

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.preview_channels`
* :class:`bpy.types.SpaceSequenceEditor.show_grease_pencil`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.alpha_mode`
* :class:`bpy.types.Image.channels`
* :class:`bpy.types.Image.is_float`
* :class:`bpy.types.Image.use_alpha`

Removed
^^^^^^^

* **use_color_unpremultiply**
* **use_premultiply**

bpy.types.MovieTrackingObjectTracks
-----------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingObjectTracks.new`

Removed
^^^^^^^

* **add**

bpy.types.MovieTrackingTracks
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingTracks.new`

Removed
^^^^^^^

* **add**

bpy.types.DynamicPaintSurface
-----------------------------

Added
^^^^^

* :class:`bpy.types.DynamicPaintSurface.use_color_preview`

bpy.types.SPHFluidSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.SPHFluidSettings.solver`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.matcap_icon`
* :class:`bpy.types.SpaceView3D.show_grease_pencil`
* :class:`bpy.types.SpaceView3D.use_matcap`

bpy.types.Particle
------------------

Added
^^^^^

* :class:`bpy.types.Particle.uv_on_emitter`

bpy.types.EditBone
------------------

Added
^^^^^

* :class:`bpy.types.EditBone.use_relative_parent`

bpy.types.ThemeFileBrowser
--------------------------

Removed
^^^^^^^

* **tiles**

bpy.types.ParticleHairKey
-------------------------

Added
^^^^^

* :class:`bpy.types.ParticleHairKey.co_object`

Renamed
^^^^^^^

* **co_hair_space** -> :class:`bpy.types.ParticleHairKey.co_local`

bpy.types.ImageSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.ImageSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.MaskSequence
----------------------

Added
^^^^^

* :class:`bpy.types.MaskSequence.alpha_mode`

Removed
^^^^^^^

* **use_premultiply**

bpy.types.BlendDataMeshes
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMeshes.new_from_object`

bpy.types.Addon
---------------

Added
^^^^^

* :class:`bpy.types.Addon.preferences`

bpy.types.Region
----------------

Added
^^^^^

* :class:`bpy.types.Region.callback_add`

bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.icon`

bpy.types.SpaceImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceImageEditor.show_grease_pencil`

2.66 to 2.67
============

bpy.types.SmokeDomainSettings
-----------------------------

Renamed
^^^^^^^

* **smooth_emitter** -> :class:`bpy.types.SmokeDomainSettings.use_smooth_emitter`

bpy.types.NodeLink
------------------

Added
^^^^^

* :class:`bpy.types.NodeLink.is_hidden`
* :class:`bpy.types.NodeLink.is_valid`

bpy.types.ParticleSettings
--------------------------

Renamed
^^^^^^^

* **adaptive_subframes** -> :class:`bpy.types.ParticleSettings.use_adaptive_subframes`

bpy.types.SmokeFlowSettings
---------------------------

Renamed
^^^^^^^

* **initial_velocity** -> :class:`bpy.types.SmokeFlowSettings.use_initial_velocity`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.path`
* :class:`bpy.types.SpaceNodeEditor.pin`

bpy.types.SpeedControlSequence
------------------------------

Removed
^^^^^^^

* **use_frame_blend**

bpy.types.MeshVertex
--------------------

Added
^^^^^

* :class:`bpy.types.MeshVertex.undeformed_co`

bpy.types.LoopColors
--------------------

Added
^^^^^

* :class:`bpy.types.LoopColors.remove`

bpy.types.SceneGameData
-----------------------

Renamed
^^^^^^^

* **restrict_animation_updates** -> :class:`bpy.types.SceneGameData.use_restrict_animation_updates`

bpy.types.NodeSocket
--------------------

Added
^^^^^

* :class:`bpy.types.NodeSocket.bl_idname`
* :class:`bpy.types.NodeSocket.draw`
* :class:`bpy.types.NodeSocket.draw_color`
* :class:`bpy.types.NodeSocket.enabled`
* :class:`bpy.types.NodeSocket.identifier`
* :class:`bpy.types.NodeSocket.in_out`
* :class:`bpy.types.NodeSocket.link_limit`
* :class:`bpy.types.NodeSocket.node`

Removed
^^^^^^^

* **group_socket**

bpy.types.CompositorNode
------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNode.init`
* :class:`bpy.types.CompositorNode.poll`
* :class:`bpy.types.CompositorNode.tag_need_exec`
* :class:`bpy.types.CompositorNode.update`

Removed
^^^^^^^

* **type**

bpy.types.SolidifyModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.SolidifyModifier.thickness_clamp`

bpy.types.RigidBodyObject
-------------------------

Renamed
^^^^^^^

* **start_deactivated** -> :class:`bpy.types.RigidBodyObject.use_start_deactivated`

bpy.types.ThemeNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNodeEditor.group_socket_node`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.subsurface_samples`
* :class:`bpy.types.CyclesRenderSettings.use_layer_samples`

bpy.types.RigidBodyConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyConstraint.motor_ang_max_impulse`
* :class:`bpy.types.RigidBodyConstraint.motor_ang_target_velocity`
* :class:`bpy.types.RigidBodyConstraint.motor_lin_max_impulse`
* :class:`bpy.types.RigidBodyConstraint.motor_lin_target_velocity`
* :class:`bpy.types.RigidBodyConstraint.use_motor_ang`
* :class:`bpy.types.RigidBodyConstraint.use_motor_lin`

Renamed
^^^^^^^

* **num_solver_iterations** -> :class:`bpy.types.RigidBodyConstraint.solver_iterations`
* **override_solver_iterations** -> :class:`bpy.types.RigidBodyConstraint.use_override_solver_iterations`

bpy.types.RigidBodyWorld
------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyWorld.convex_sweep_test`

Renamed
^^^^^^^

* **num_solver_iterations** -> :class:`bpy.types.RigidBodyWorld.solver_iterations`

bpy.types.Image
---------------

Renamed
^^^^^^^

* **view_as_render** -> :class:`bpy.types.Image.use_view_as_render`

bpy.types.DomainFluidSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.DomainFluidSettings.threads`

Renamed
^^^^^^^

* **surface_noobs** -> :class:`bpy.types.DomainFluidSettings.use_surface_noobs`

bpy.types.Operator
------------------

Added
^^^^^

* :class:`bpy.types.Operator.bl_translation_context`

bpy.types.ThemeGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeGraphEditor.vertex_unreferenced`

bpy.types.ShaderNode
--------------------

Added
^^^^^

* :class:`bpy.types.ShaderNode.init`
* :class:`bpy.types.ShaderNode.poll`

Removed
^^^^^^^

* **type**

bpy.types.TextureNodeTree
-------------------------

Removed
^^^^^^^

* **nodes**

bpy.types.SpaceUserPreferences
------------------------------

Added
^^^^^

* :class:`bpy.types.SpaceUserPreferences.filter_type`

bpy.types.SPHFluidSettings
--------------------------

Renamed
^^^^^^^

* **factor_density** -> :class:`bpy.types.SPHFluidSettings.use_factor_density`

bpy.types.NodeLinks
-------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.NodeLinks.new` (input, output, verify_limits), *was (input, output)*

bpy.types.CyclesCurveRenderSettings
-----------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCurveRenderSettings.maximum_width`
* :class:`bpy.types.CyclesCurveRenderSettings.minimum_width`

bpy.types.CompositorNodeTree
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeTree.use_viewer_border`

Removed
^^^^^^^

* **nodes**

Renamed
^^^^^^^

* **two_pass** -> :class:`bpy.types.CompositorNodeTree.use_two_pass`

bpy.types.OceanModifier
-----------------------

Removed
^^^^^^^

* **is_build_enabled**

bpy.types.BevelModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BevelModifier.segments`
* :class:`bpy.types.BevelModifier.use_clamp_overlap`
* :class:`bpy.types.BevelModifier.vertex_group`

bpy.types.BlendDataMeshes
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMeshes.new_from_object` (scene, object, apply_modifiers, settings, calc_tessface, calc_undeformed), *was (scene, object, apply_modifiers, settings, calc_tessface)*

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.update_from_editmode`

Renamed
^^^^^^^

* **extra_recalc_data** -> :class:`bpy.types.Object.use_extra_recalc_data`
* **extra_recalc_object** -> :class:`bpy.types.Object.use_extra_recalc_object`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Object.to_mesh` (scene, apply_modifiers, settings, calc_tessface, calc_undeformed), *was (scene, apply_modifiers, settings, calc_tessface)*

bpy.types.RenderLayer
---------------------

Added
^^^^^

* :class:`bpy.types.RenderLayer.use_freestyle`

bpy.types.ShaderNodeTree
------------------------

Removed
^^^^^^^

* **nodes**

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.print_3d`
* :class:`bpy.types.Scene.ray_cast`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.collada_export` (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_ngons, use_object_instantiation, sort_by_name, second_life, export_transformation_type), *was (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_object_instantiation, sort_by_name, second_life)*

bpy.types.Menu
--------------

Added
^^^^^

* :class:`bpy.types.Menu.bl_translation_context`

bpy.types.ImagePaint
--------------------

Removed
^^^^^^^

* **use_projection**

bpy.types.NodeTree
------------------

Added
^^^^^

* :class:`bpy.types.NodeTree.active_input`
* :class:`bpy.types.NodeTree.active_output`
* :class:`bpy.types.NodeTree.bl_description`
* :class:`bpy.types.NodeTree.bl_icon`
* :class:`bpy.types.NodeTree.bl_idname`
* :class:`bpy.types.NodeTree.bl_label`
* :class:`bpy.types.NodeTree.get_from_context`
* :class:`bpy.types.NodeTree.interface_update`
* :class:`bpy.types.NodeTree.nodes`
* :class:`bpy.types.NodeTree.poll`
* :class:`bpy.types.NodeTree.update`
* :class:`bpy.types.NodeTree.view_center`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.show_extra_edge_angle`
* :class:`bpy.types.Mesh.show_freestyle_edge_marks`
* :class:`bpy.types.Mesh.show_freestyle_face_marks`
* :class:`bpy.types.Mesh.show_statvis`
* :class:`bpy.types.Mesh.show_weight`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.statvis`
* :class:`bpy.types.ToolSettings.vertex_group_user`

bpy.types.WindowManager
-----------------------

Added
^^^^^

* :class:`bpy.types.WindowManager.progress_begin`
* :class:`bpy.types.WindowManager.progress_end`
* :class:`bpy.types.WindowManager.progress_update`

bpy.types.SequenceEditor
------------------------

Renamed
^^^^^^^

* **overlay_lock** -> :class:`bpy.types.SequenceEditor.use_overlay_lock`

bpy.types.Macro
---------------

Added
^^^^^

* :class:`bpy.types.Macro.bl_translation_context`

bpy.types.BrushTextureSlot
--------------------------

Added
^^^^^

* :class:`bpy.types.BrushTextureSlot.mask_map_mode`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.line_thickness`
* :class:`bpy.types.RenderSettings.line_thickness_mode`
* :class:`bpy.types.RenderSettings.use_freestyle`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.freestyle_face_mark`
* :class:`bpy.types.ThemeImageEditor.vertex_unreferenced`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.image_draw_method`
* :class:`bpy.types.UserPreferencesSystem.use_translate_new_dataname`

bpy.types.Panel
---------------

Added
^^^^^

* :class:`bpy.types.Panel.bl_translation_context`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.brush_capabilities`
* :class:`bpy.types.Brush.cursor_overlay_alpha`
* :class:`bpy.types.Brush.jitter_absolute`
* :class:`bpy.types.Brush.mask_overlay_alpha`
* :class:`bpy.types.Brush.mask_stencil_dimension`
* :class:`bpy.types.Brush.mask_stencil_pos`
* :class:`bpy.types.Brush.mask_texture`
* :class:`bpy.types.Brush.mask_texture_slot`
* :class:`bpy.types.Brush.sculpt_stroke_method`
* :class:`bpy.types.Brush.stencil_dimension`
* :class:`bpy.types.Brush.stencil_pos`
* :class:`bpy.types.Brush.use_cursor_overlay`
* :class:`bpy.types.Brush.use_cursor_overlay_override`
* :class:`bpy.types.Brush.use_primary_overlay_override`
* :class:`bpy.types.Brush.use_relative_jitter`
* :class:`bpy.types.Brush.use_secondary_overlay_override`

Renamed
^^^^^^^

* **use_texture_overlay** -> :class:`bpy.types.Brush.use_primary_overlay`
* **use_texture_overlay** -> :class:`bpy.types.Brush.use_secondary_overlay`

bpy.types.TextureNode
---------------------

Added
^^^^^

* :class:`bpy.types.TextureNode.init`
* :class:`bpy.types.TextureNode.poll`

Removed
^^^^^^^

* **type**

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_linestyles`

bpy.types.NlaStrip
------------------

Added
^^^^^

* :class:`bpy.types.NlaStrip.use_sync_length`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_component_menu`
* :class:`bpy.types.UILayout.template_movieclip_information`
* :class:`bpy.types.UILayout.template_node_socket`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.linestyles`

bpy.types.SimpleDeformModifier
------------------------------

Added
^^^^^

* :class:`bpy.types.SimpleDeformModifier.angle`

bpy.types.RemeshModifier
------------------------

Renamed
^^^^^^^

* **remove_disconnected_pieces** -> :class:`bpy.types.RemeshModifier.use_remove_disconnected`

bpy.types.CyclesCurveSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCurveSettings.radius_scale`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.extra_edge_angle`
* :class:`bpy.types.ThemeView3D.freestyle_edge_mark`
* :class:`bpy.types.ThemeView3D.freestyle_face_mark`
* :class:`bpy.types.ThemeView3D.vertex_unreferenced`

bpy.types.UVTextures
--------------------

Added
^^^^^

* :class:`bpy.types.UVTextures.remove`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.freestyle_settings`
* :class:`bpy.types.SceneRenderLayer.use_freestyle`

2.67 to 2.68
============

bpy.types.BlendDataTexts
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataTexts.load` (filepath, internal), *was (filepath)*

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_modifiers`

bpy.types.Armature
------------------

Added
^^^^^

* :class:`bpy.types.Armature.is_editmode`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.is_editmode`

bpy.types.Lattice
-----------------

Added
^^^^^

* :class:`bpy.types.Lattice.is_editmode`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.calc_smooth_groups`
* :class:`bpy.types.Mesh.is_editmode`

bpy.types.MetaBall
------------------

Added
^^^^^

* :class:`bpy.types.MetaBall.is_editmode`

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.use_modifier_stack`

bpy.types.WindowManager
-----------------------

Added
^^^^^

* :class:`bpy.types.WindowManager.popup_menu`
* :class:`bpy.types.WindowManager.pupmenu_begin__internal`
* :class:`bpy.types.WindowManager.pupmenu_end__internal`

bpy.types.World
---------------

Added
^^^^^

* :class:`bpy.types.World.cycles_visibility`

bpy.types.MaskSpline
--------------------

Added
^^^^^

* :class:`bpy.types.MaskSpline.points`

bpy.types.MaskSplines
---------------------

Added
^^^^^

* :class:`bpy.types.MaskSplines.new`
* :class:`bpy.types.MaskSplines.remove`

Removed
^^^^^^^

* **add**

bpy.types.MeshPolygon
---------------------

Added
^^^^^

* :class:`bpy.types.MeshPolygon.center`

bpy.types.DecimateModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.DecimateModifier.delimit`

bpy.types.MovieTrackingSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingSettings.use_keyframe_selection`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.dimensions`

bpy.types.NodeSocket
--------------------

Added
^^^^^

* :class:`bpy.types.NodeSocket.hide_value`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.NodeSocket.draw` (context, layout, node, text), *was (context, layout, node)*

bpy.types.NodeSocketStandard
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.NodeSocketStandard.draw` (context, layout, node, text), *was (context, layout, node)*

bpy.types.NodeSocketInterfaceStandard
-------------------------------------

Added
^^^^^

* :class:`bpy.types.NodeSocketInterfaceStandard.type`

bpy.types.NodeTreeInputs
------------------------

Added
^^^^^

* :class:`bpy.types.NodeTreeInputs.move`

bpy.types.NodeTreeOutputs
-------------------------

Added
^^^^^

* :class:`bpy.types.NodeTreeOutputs.move`

bpy.types.CyclesMaterialSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesMaterialSettings.use_transparent_shadow`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.sampling_pattern`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bl_use_exclude_layers`
* :class:`bpy.types.RenderEngine.bl_use_save_buffers`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.highres_sampling`

Removed
^^^^^^^

* **use_smooth_emitter**

bpy.types.SmokeFlowSettings
---------------------------

Added
^^^^^

* :class:`bpy.types.SmokeFlowSettings.particle_size`
* :class:`bpy.types.SmokeFlowSettings.subframes`
* :class:`bpy.types.SmokeFlowSettings.use_particle_size`

bpy.types.SpaceProperties
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceProperties.use_limited_texture_context`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.transform_manipulators`

Removed
^^^^^^^

* **use_manipulator_rotate**
* **use_manipulator_scale**
* **use_manipulator_translate**

bpy.types.ThemeFontStyle
------------------------

Renamed
^^^^^^^

* **shadowalpha** -> :class:`bpy.types.ThemeFontStyle.shadow_alpha`
* **shadowcolor** -> :class:`bpy.types.ThemeFontStyle.shadow_value`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.wire_edit`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.vertex_group_subset`

bpy.types.UserPreferences
-------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferences.autoexec_paths`

2.68 to 2.69
============

bpy.types.ActionActuator
------------------------

Added
^^^^^

* :class:`bpy.types.ActionActuator.blend_mode`

bpy.types.ColorManagedViewSettings
----------------------------------

Added
^^^^^

* :class:`bpy.types.ColorManagedViewSettings.look`

bpy.types.ShrinkwrapConstraint
------------------------------

Added
^^^^^

* :class:`bpy.types.ShrinkwrapConstraint.project_axis`
* :class:`bpy.types.ShrinkwrapConstraint.project_axis_space`
* :class:`bpy.types.ShrinkwrapConstraint.project_limit`

Removed
^^^^^^^

* **use_x**
* **use_y**
* **use_z**

bpy.types.CurveMapping
----------------------

Added
^^^^^

* :class:`bpy.types.CurveMapping.initialize`

bpy.types.DynamicPaintSurface
-----------------------------

Added
^^^^^

* :class:`bpy.types.DynamicPaintSurface.wave_smoothness`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.calc_normals_split`
* :class:`bpy.types.Mesh.free_normals_split`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.calc_smooth_groups` (use_bitflags), *was ()*

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.frame_current_final`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.collada_export` (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_ngons, use_object_instantiation, sort_by_name, open_sim, export_transformation_type), *was (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_ngons, use_object_instantiation, sort_by_name, second_life, export_transformation_type)*

bpy.types.Text
--------------

Added
^^^^^

* :class:`bpy.types.Text.current_line_index`

bpy.types.IDMaterials
---------------------

Added
^^^^^

* :class:`bpy.types.IDMaterials.clear`

bpy.types.KeyMaps
-----------------

Added
^^^^^

* :class:`bpy.types.KeyMaps.remove`

bpy.types.MaskParent
--------------------

Added
^^^^^

* :class:`bpy.types.MaskParent.type`

bpy.types.MeshLoop
------------------

Added
^^^^^

* :class:`bpy.types.MeshLoop.normal`

bpy.types.SimpleDeformModifier
------------------------------

Removed
^^^^^^^

* **use_relative**

bpy.types.MovieTracking
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieTracking.plane_tracks`

bpy.types.MovieTrackingObject
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingObject.plane_tracks`

bpy.types.ShaderNodeMapping
---------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeMapping.vector_type`

bpy.types.ShaderNodeSubsurfaceScattering
----------------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeSubsurfaceScattering.falloff`

bpy.types.ShaderNodeTexSky
--------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexSky.ground_albedo`
* :class:`bpy.types.ShaderNodeTexSky.sky_type`

bpy.types.ParticleSystem
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.ParticleSystem.co_hair` (object, particle_no, step), *was (object, modifier, particle_no, step)*

bpy.types.Property
------------------

Added
^^^^^

* :class:`bpy.types.Property.is_argument_optional`

bpy.types.CyclesCurveRenderSettings
-----------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCurveRenderSettings.cull_backfacing`
* :class:`bpy.types.CyclesCurveRenderSettings.shape`

Removed
^^^^^^^

* **encasing_ratio**
* **interpolation**
* **line_method**
* **normalmix**
* **preset**
* **segments**
* **triangle_method**
* **use_backfacing**
* **use_encasing**
* **use_joined**
* **use_parents**
* **use_smooth**
* **use_tangent_normal**
* **use_tangent_normal_correction**
* **use_tangent_normal_geometry**

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.use_square_samples`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bind_display_space_shader`
* :class:`bpy.types.RenderEngine.support_display_space_shader`
* :class:`bpy.types.RenderEngine.unbind_display_space_shader`

bpy.types.RenderLayer
---------------------

Added
^^^^^

* :class:`bpy.types.RenderLayer.use_pass_subsurface_color`
* :class:`bpy.types.RenderLayer.use_pass_subsurface_direct`
* :class:`bpy.types.RenderLayer.use_pass_subsurface_indirect`

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.vsync`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.use_pass_subsurface_color`
* :class:`bpy.types.SceneRenderLayer.use_pass_subsurface_direct`
* :class:`bpy.types.SceneRenderLayer.use_pass_subsurface_indirect`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.cursor_location_from_region`

bpy.types.SpaceTextEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceTextEditor.top`
* :class:`bpy.types.SpaceTextEditor.visible_lines`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.show_occlude_wire`

bpy.types.TexMapping
--------------------

Added
^^^^^

* :class:`bpy.types.TexMapping.vector_type`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.uv_others`
* :class:`bpy.types.ThemeImageEditor.uv_shadow`

bpy.types.UILayout
------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_list` (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, rows, maxrows, type, columns), *was (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, rows, maxrows, type)*

bpy.types.UIList
----------------

Added
^^^^^

* :class:`bpy.types.UIList.bitflag_filter_item`
* :class:`bpy.types.UIList.draw_filter`
* :class:`bpy.types.UIList.filter_items`
* :class:`bpy.types.UIList.filter_name`
* :class:`bpy.types.UIList.use_filter_invert`
* :class:`bpy.types.UIList.use_filter_show`
* :class:`bpy.types.UIList.use_filter_sort_alpha`
* :class:`bpy.types.UIList.use_filter_sort_reverse`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UIList.draw_item` (context, layout, data, item, icon, active_data, active_property, index, flt_flag), *was (context, layout, data, item, icon, active_data, active_property, index)*

bpy.types.UI_UL_list
--------------------

Added
^^^^^

* :class:`bpy.types.UI_UL_list.filter_items_by_name`
* :class:`bpy.types.UI_UL_list.sort_items_by_name`
* :class:`bpy.types.UI_UL_list.sort_items_helper`

bpy.types.Window
----------------

Added
^^^^^

* :class:`bpy.types.Window.cursor_modal_restore`
* :class:`bpy.types.Window.cursor_modal_set`
* :class:`bpy.types.Window.cursor_set`
* :class:`bpy.types.Window.cursor_warp`

2.69 to 2.70
============

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.use_autopack`

bpy.types.ClothSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothSettings.sewing_force_max`
* :class:`bpy.types.ClothSettings.shrink_max`
* :class:`bpy.types.ClothSettings.shrink_min`
* :class:`bpy.types.ClothSettings.use_sewing_springs`
* :class:`bpy.types.ClothSettings.vertex_group_shrink`

bpy.types.DupliObject
---------------------

Removed
^^^^^^^

* **matrix_original**

bpy.types.FCurve
----------------

Added
^^^^^

* :class:`bpy.types.FCurve.update_autoflags`

bpy.types.FModifierNoise
------------------------

Added
^^^^^

* :class:`bpy.types.FModifierNoise.offset`

bpy.types.FreestyleSettings
---------------------------

Removed
^^^^^^^

* **raycasting_algorithm**

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.use_record_animation`

bpy.types.Armature
------------------

Added
^^^^^

* :class:`bpy.types.Armature.transform`

bpy.types.Brush
---------------

Renamed
^^^^^^^

* **use_restore_mesh** -> :class:`bpy.types.Brush.use_drag_dot`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.transform`

Removed
^^^^^^^

* **use_time_offset**

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.filepath_from_user`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Image.gl_load` (frame, filter, mag), *was (filter, mag)*
* :class:`bpy.types.Image.gl_touch` (frame, filter, mag), *was (filter, mag)*

bpy.types.Lattice
-----------------

Added
^^^^^

* :class:`bpy.types.Lattice.transform`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.calc_tangents`
* :class:`bpy.types.Mesh.free_tangents`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.image_user`
* :class:`bpy.types.Object.lod_levels`

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.material_slot`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.lock_frame_selection_to_range`

bpy.types.Texture
-----------------

Added
^^^^^

* :class:`bpy.types.Texture.use_clamp`

bpy.types.World
---------------

Removed
^^^^^^^

* **star_settings**

bpy.types.MaskLayer
-------------------

Added
^^^^^

* :class:`bpy.types.MaskLayer.use_fill_holes`
* :class:`bpy.types.MaskLayer.use_fill_overlap`

bpy.types.Menu
--------------

Added
^^^^^

* :class:`bpy.types.Menu.draw_collapsible`

bpy.types.MeshLoop
------------------

Added
^^^^^

* :class:`bpy.types.MeshLoop.bitangent`
* :class:`bpy.types.MeshLoop.bitangent_sign`
* :class:`bpy.types.MeshLoop.tangent`

bpy.types.BevelModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BevelModifier.offset_type`
* :class:`bpy.types.BevelModifier.profile`

bpy.types.BuildModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BuildModifier.use_reverse`

bpy.types.ScrewModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.ScrewModifier.use_stretch_u`
* :class:`bpy.types.ScrewModifier.use_stretch_v`

bpy.types.TriangulateModifier
-----------------------------

Added
^^^^^

* :class:`bpy.types.TriangulateModifier.ngon_method`
* :class:`bpy.types.TriangulateModifier.quad_method`

Removed
^^^^^^^

* **use_beauty**

bpy.types.MovieTrackingMarker
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingMarker.is_keyed`

bpy.types.MovieTrackingPlaneTrack
---------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingPlaneTrack.image`
* :class:`bpy.types.MovieTrackingPlaneTrack.image_opacity`

bpy.types.MovieTrackingSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingSettings.default_weight`
* :class:`bpy.types.MovieTrackingSettings.show_extra_expanded`

Removed
^^^^^^^

* **reconstruction_success_threshold**
* **use_fallback_reconstruction**

bpy.types.MovieTrackingTrack
----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingTrack.offset`
* :class:`bpy.types.MovieTrackingTrack.weight`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.draw_label`

bpy.types.CompositorNodeDefocus
-------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeDefocus.scene`

bpy.types.CompositorNodeDespeckle
---------------------------------

Renamed
^^^^^^^

* **threshold_neighbour** -> :class:`bpy.types.CompositorNodeDespeckle.threshold_neighbor`

bpy.types.ShaderNodeOutput
--------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutput.is_active_output`

bpy.types.ShaderNodeOutputLamp
------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutputLamp.is_active_output`

bpy.types.ShaderNodeOutputMaterial
----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutputMaterial.is_active_output`

bpy.types.ShaderNodeOutputWorld
-------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeOutputWorld.is_active_output`

bpy.types.NodeSocket
--------------------

Added
^^^^^

* :class:`bpy.types.NodeSocket.is_output`

Removed
^^^^^^^

* **in_out**

bpy.types.NodeSocketInterface
-----------------------------

Added
^^^^^

* :class:`bpy.types.NodeSocketInterface.is_output`

Removed
^^^^^^^

* **in_out**

bpy.types.Paint
---------------

Added
^^^^^

* :class:`bpy.types.Paint.use_symmetry_feather`
* :class:`bpy.types.Paint.use_symmetry_x`
* :class:`bpy.types.Paint.use_symmetry_y`
* :class:`bpy.types.Paint.use_symmetry_z`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.detail_refine_method`
* :class:`bpy.types.Sculpt.gravity`
* :class:`bpy.types.Sculpt.gravity_object`

Removed
^^^^^^^

* **use_edge_collapse**
* **use_symmetry_feather**
* **use_symmetry_x**
* **use_symmetry_y**
* **use_symmetry_z**

bpy.types.VertexPaint
---------------------

Removed
^^^^^^^

* **use_all_faces**

bpy.types.Panel
---------------

Added
^^^^^

* :class:`bpy.types.Panel.bl_category`
* :class:`bpy.types.Panel.use_pin`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.sample_clamp_direct`
* :class:`bpy.types.CyclesRenderSettings.sample_clamp_indirect`
* :class:`bpy.types.CyclesRenderSettings.volume_bounces`
* :class:`bpy.types.CyclesRenderSettings.volume_homogeneous_sampling`
* :class:`bpy.types.CyclesRenderSettings.volume_max_steps`
* :class:`bpy.types.CyclesRenderSettings.volume_samples`
* :class:`bpy.types.CyclesRenderSettings.volume_step_size`

Removed
^^^^^^^

* **sample_clamp**

bpy.types.CyclesWorldSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesWorldSettings.homogeneous_volume`

bpy.types.RenderEngine
----------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.end_result` (result, cancel, do_merge_results), *was (result, cancel)*

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.bake_user_scale`
* :class:`bpy.types.RenderSettings.use_bake_user_scale`
* :class:`bpy.types.RenderSettings.use_lock_interface`

bpy.types.RigidBodyObject
-------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyObject.mesh_source`
* :class:`bpy.types.RigidBodyObject.use_deform`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.pass_alpha_threshold`

bpy.types.SculptToolCapabilities
--------------------------------

Added
^^^^^

* :class:`bpy.types.SculptToolCapabilities.has_gravity`

bpy.types.SpaceClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceClipEditor.mask_overlay_mode`
* :class:`bpy.types.SpaceClipEditor.show_graph_tracks_error`
* :class:`bpy.types.SpaceClipEditor.show_mask_overlay`

Renamed
^^^^^^^

* **show_graph_tracks** -> :class:`bpy.types.SpaceClipEditor.show_graph_tracks_motion`

bpy.types.SpaceGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceGraphEditor.use_auto_normalization`
* :class:`bpy.types.SpaceGraphEditor.use_normalization`

bpy.types.SpaceImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceImageEditor.mask_overlay_mode`
* :class:`bpy.types.SpaceImageEditor.show_mask_overlay`

bpy.types.SpaceNodeEditor
-------------------------

Removed
^^^^^^^

* **use_hidden_preview**

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.show_textured_shadeless`

bpy.types.TextCharacterFormat
-----------------------------

Added
^^^^^

* :class:`bpy.types.TextCharacterFormat.material_index`

bpy.types.ThemeDopeSheet
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeDopeSheet.keyframe`
* :class:`bpy.types.ThemeDopeSheet.keyframe_border`
* :class:`bpy.types.ThemeDopeSheet.keyframe_border_selected`
* :class:`bpy.types.ThemeDopeSheet.keyframe_breakdown`
* :class:`bpy.types.ThemeDopeSheet.keyframe_breakdown_selected`
* :class:`bpy.types.ThemeDopeSheet.keyframe_extreme`
* :class:`bpy.types.ThemeDopeSheet.keyframe_extreme_selected`
* :class:`bpy.types.ThemeDopeSheet.keyframe_jitter`
* :class:`bpy.types.ThemeDopeSheet.keyframe_jitter_selected`
* :class:`bpy.types.ThemeDopeSheet.keyframe_selected`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.edge_select`
* :class:`bpy.types.ThemeImageEditor.wire_edit`

bpy.types.ThemeInfo
-------------------

Added
^^^^^

* :class:`bpy.types.ThemeInfo.info_debug`
* :class:`bpy.types.ThemeInfo.info_debug_text`
* :class:`bpy.types.ThemeInfo.info_error`
* :class:`bpy.types.ThemeInfo.info_error_text`
* :class:`bpy.types.ThemeInfo.info_info`
* :class:`bpy.types.ThemeInfo.info_info_text`
* :class:`bpy.types.ThemeInfo.info_selected`
* :class:`bpy.types.ThemeInfo.info_selected_text`
* :class:`bpy.types.ThemeInfo.info_warning`
* :class:`bpy.types.ThemeInfo.info_warning_text`

bpy.types.ThemeNLAEditor
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNLAEditor.keyframe_border`
* :class:`bpy.types.ThemeNLAEditor.keyframe_border_selected`

bpy.types.ThemeNodeEditor
-------------------------

Removed
^^^^^^^

* **in_out_node**

Renamed
^^^^^^^

* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.color_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.filter_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.input_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.layout_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.output_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.pattern_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.script_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.shader_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.texture_node`
* **operator_node** -> :class:`bpy.types.ThemeNodeEditor.vector_node`

bpy.types.ThemeSpaceGeneric
---------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSpaceGeneric.tab_active`
* :class:`bpy.types.ThemeSpaceGeneric.tab_back`
* :class:`bpy.types.ThemeSpaceGeneric.tab_inactive`
* :class:`bpy.types.ThemeSpaceGeneric.tab_outline`

bpy.types.ThemeSpaceGradient
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSpaceGradient.tab_active`
* :class:`bpy.types.ThemeSpaceGradient.tab_back`
* :class:`bpy.types.ThemeSpaceGradient.tab_inactive`
* :class:`bpy.types.ThemeSpaceGradient.tab_outline`

bpy.types.TimelineMarkers
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.TimelineMarkers.new` (name, frame), *was (name)*

bpy.types.UILayout
------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.prop` (data, property, text, text_ctxt, translate, icon, expand, slider, toggle, icon_only, event, full_event, emboss, index, icon_value), *was (data, property, text, text_ctxt, translate, icon, expand, slider, toggle, icon_only, event, full_event, emboss, index)*
* :class:`bpy.types.UILayout.template_header` (), *was (menus)*

bpy.types.UserPreferencesEdit
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesEdit.grease_pencil_default_color`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.navigation_mode`
* :class:`bpy.types.UserPreferencesInput.ndof_pan_yz_swap_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_rotx_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_roty_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_rotz_invert_axis`
* :class:`bpy.types.UserPreferencesInput.ndof_view_navigate_method`
* :class:`bpy.types.UserPreferencesInput.walk_navigation`

Removed
^^^^^^^

* **ndof_roll_invert_axis**
* **ndof_rotate_invert_axis**
* **ndof_tilt_invert_axis**
* **ndof_zoom_updown**

2.70 to 2.71
============

bpy.types.Actuator
------------------

Added
^^^^^

* :class:`bpy.types.Actuator.active`

bpy.types.BlendDataLineStyles
-----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataLineStyles.is_updated`

bpy.types.TransformConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.TransformConstraint.from_max_x_rot`
* :class:`bpy.types.TransformConstraint.from_max_x_scale`
* :class:`bpy.types.TransformConstraint.from_max_y_rot`
* :class:`bpy.types.TransformConstraint.from_max_y_scale`
* :class:`bpy.types.TransformConstraint.from_max_z_rot`
* :class:`bpy.types.TransformConstraint.from_max_z_scale`
* :class:`bpy.types.TransformConstraint.from_min_x_rot`
* :class:`bpy.types.TransformConstraint.from_min_x_scale`
* :class:`bpy.types.TransformConstraint.from_min_y_rot`
* :class:`bpy.types.TransformConstraint.from_min_y_scale`
* :class:`bpy.types.TransformConstraint.from_min_z_rot`
* :class:`bpy.types.TransformConstraint.from_min_z_scale`
* :class:`bpy.types.TransformConstraint.to_max_x_rot`
* :class:`bpy.types.TransformConstraint.to_max_x_scale`
* :class:`bpy.types.TransformConstraint.to_max_y_rot`
* :class:`bpy.types.TransformConstraint.to_max_y_scale`
* :class:`bpy.types.TransformConstraint.to_max_z_rot`
* :class:`bpy.types.TransformConstraint.to_max_z_scale`
* :class:`bpy.types.TransformConstraint.to_min_x_rot`
* :class:`bpy.types.TransformConstraint.to_min_x_scale`
* :class:`bpy.types.TransformConstraint.to_min_y_rot`
* :class:`bpy.types.TransformConstraint.to_min_y_scale`
* :class:`bpy.types.TransformConstraint.to_min_z_rot`
* :class:`bpy.types.TransformConstraint.to_min_z_scale`

bpy.types.Controller
--------------------

Added
^^^^^

* :class:`bpy.types.Controller.active`

bpy.types.FCurve
----------------

Added
^^^^^

* :class:`bpy.types.FCurve.update`

bpy.types.Brush
---------------

Removed
^^^^^^^

* **sculpt_stroke_method**

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.bevel_factor_mapping_end`
* :class:`bpy.types.Curve.bevel_factor_mapping_start`

bpy.types.FreestyleLineStyle
----------------------------

Added
^^^^^

* :class:`bpy.types.FreestyleLineStyle.active_texture`
* :class:`bpy.types.FreestyleLineStyle.active_texture_index`
* :class:`bpy.types.FreestyleLineStyle.integration_type`
* :class:`bpy.types.FreestyleLineStyle.node_tree`
* :class:`bpy.types.FreestyleLineStyle.sort_key`
* :class:`bpy.types.FreestyleLineStyle.sort_order`
* :class:`bpy.types.FreestyleLineStyle.texture_slots`
* :class:`bpy.types.FreestyleLineStyle.texture_spacing`
* :class:`bpy.types.FreestyleLineStyle.use_nodes`
* :class:`bpy.types.FreestyleLineStyle.use_sorting`
* :class:`bpy.types.FreestyleLineStyle.use_texture`

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.use_cast_shadows`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.show_normal_loop`

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.cycles`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.show_keys_from_selected_only`

bpy.types.Speaker
-----------------

Added
^^^^^

* :class:`bpy.types.Speaker.relative`

bpy.types.Keyframe
------------------

Added
^^^^^

* :class:`bpy.types.Keyframe.amplitude`
* :class:`bpy.types.Keyframe.back`
* :class:`bpy.types.Keyframe.easing`
* :class:`bpy.types.Keyframe.period`

bpy.types.Linesets
------------------

Added
^^^^^

* :class:`bpy.types.Linesets.new`
* :class:`bpy.types.Linesets.remove`

bpy.types.MaskSplinePoint
-------------------------

Added
^^^^^

* :class:`bpy.types.MaskSplinePoint.handle_left_type`
* :class:`bpy.types.MaskSplinePoint.handle_right_type`
* :class:`bpy.types.MaskSplinePoint.weight`

bpy.types.MeshEdge
------------------

Added
^^^^^

* :class:`bpy.types.MeshEdge.use_freestyle_mark`

bpy.types.MeshPolygon
---------------------

Added
^^^^^

* :class:`bpy.types.MeshPolygon.use_freestyle_mark`

bpy.types.MeshTessFace
----------------------

Added
^^^^^

* :class:`bpy.types.MeshTessFace.split_normals`

bpy.types.MovieTrackingCamera
-----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingCamera.distortion_model`
* :class:`bpy.types.MovieTrackingCamera.division_k1`
* :class:`bpy.types.MovieTrackingCamera.division_k2`

bpy.types.ShaderNodeTexImage
----------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexImage.interpolation`

bpy.types.PackedFile
--------------------

Added
^^^^^

* :class:`bpy.types.PackedFile.data`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.constant_detail`
* :class:`bpy.types.Sculpt.detail_type_method`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.bake_type`
* :class:`bpy.types.CyclesRenderSettings.sample_all_lights_direct`
* :class:`bpy.types.CyclesRenderSettings.sample_all_lights_indirect`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bake`
* :class:`bpy.types.RenderEngine.frame_set`

bpy.types.CYCLES
----------------

Added
^^^^^

* :class:`bpy.types.CYCLES.bake`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.bake`

bpy.types.Sensor
----------------

Added
^^^^^

* :class:`bpy.types.Sensor.active`

bpy.types.SequenceElements
--------------------------

Renamed
^^^^^^^

* **push** -> :class:`bpy.types.SequenceElements.append`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.color_grid`
* :class:`bpy.types.SmokeDomainSettings.density_grid`
* :class:`bpy.types.SmokeDomainSettings.flame_grid`

Removed
^^^^^^^

* **density**

bpy.types.Space
---------------

Added
^^^^^

* :class:`bpy.types.Space.show_locked_time`

bpy.types.SpaceTimeline
-----------------------

Removed
^^^^^^^

* **show_only_selected**

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.region_quadviews`

Removed
^^^^^^^

* **region_quadview**

bpy.types.SpaceNodeEditorPath
-----------------------------

Renamed
^^^^^^^

* **push** -> :class:`bpy.types.SpaceNodeEditorPath.append`

bpy.types.ThemeClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeClipEditor.handle_align`
* :class:`bpy.types.ThemeClipEditor.handle_auto`
* :class:`bpy.types.ThemeClipEditor.handle_auto_clamped`
* :class:`bpy.types.ThemeClipEditor.handle_free`
* :class:`bpy.types.ThemeClipEditor.handle_sel_align`
* :class:`bpy.types.ThemeClipEditor.handle_sel_auto`
* :class:`bpy.types.ThemeClipEditor.handle_sel_auto_clamped`
* :class:`bpy.types.ThemeClipEditor.handle_sel_free`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.frame_current`
* :class:`bpy.types.ThemeImageEditor.handle_align`
* :class:`bpy.types.ThemeImageEditor.handle_auto`
* :class:`bpy.types.ThemeImageEditor.handle_auto_clamped`
* :class:`bpy.types.ThemeImageEditor.handle_free`
* :class:`bpy.types.ThemeImageEditor.handle_sel_align`
* :class:`bpy.types.ThemeImageEditor.handle_sel_auto`
* :class:`bpy.types.ThemeImageEditor.handle_sel_auto_clamped`
* :class:`bpy.types.ThemeImageEditor.handle_sel_free`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.view_overlay`

bpy.types.UILayout
------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_preview` (id, show_buttons, parent, slot, preview_id), *was (id, show_buttons, parent, slot)*

2.71 to 2.72
============

bpy.types.EditObjectActuator
----------------------------

Added
^^^^^

* :class:`bpy.types.EditObjectActuator.track_axis`
* :class:`bpy.types.EditObjectActuator.up_axis`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.version`

bpy.types.BoneGroups
--------------------

Added
^^^^^

* :class:`bpy.types.BoneGroups.new`
* :class:`bpy.types.BoneGroups.remove`

bpy.types.BrushCapabilities
---------------------------

Added
^^^^^

* :class:`bpy.types.BrushCapabilities.has_smooth_stroke`

bpy.types.ColorRamp
-------------------

Added
^^^^^

* :class:`bpy.types.ColorRamp.color_mode`
* :class:`bpy.types.ColorRamp.hue_interpolation`

bpy.types.ColorRampElement
--------------------------

Added
^^^^^

* :class:`bpy.types.ColorRampElement.alpha`

bpy.types.FollowTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.FollowTrackConstraint.use_undistorted_position`

bpy.types.Event
---------------

Added
^^^^^

* :class:`bpy.types.Event.is_tablet`
* :class:`bpy.types.Event.pressure`
* :class:`bpy.types.Event.tilt`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.blur_kernel_radius`
* :class:`bpy.types.Brush.blur_mode`
* :class:`bpy.types.Brush.fill_threshold`
* :class:`bpy.types.Brush.grad_spacing`
* :class:`bpy.types.Brush.gradient`
* :class:`bpy.types.Brush.gradient_fill_mode`
* :class:`bpy.types.Brush.gradient_stroke_mode`
* :class:`bpy.types.Brush.image_paint_capabilities`
* :class:`bpy.types.Brush.paint_curve`
* :class:`bpy.types.Brush.secondary_color`
* :class:`bpy.types.Brush.sharp_threshold`
* :class:`bpy.types.Brush.use_curve`
* :class:`bpy.types.Brush.use_gradient`
* :class:`bpy.types.Brush.use_line`
* :class:`bpy.types.Brush.use_pressure_masking`

Renamed
^^^^^^^

* **use_drag_dot** -> :class:`bpy.types.Brush.use_restore_mesh`

bpy.types.Curve
---------------

Added
^^^^^

* :class:`bpy.types.Curve.validate_material_indices`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Curve.transform` (matrix, shape_keys), *was (matrix)*

bpy.types.Lattice
-----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Lattice.transform` (matrix, shape_keys), *was (matrix)*

bpy.types.Library
-----------------

Added
^^^^^

* :class:`bpy.types.Library.packed_file`

bpy.types.Material
------------------

Added
^^^^^

* :class:`bpy.types.Material.line_color`
* :class:`bpy.types.Material.line_priority`
* :class:`bpy.types.Material.paint_active_slot`
* :class:`bpy.types.Material.paint_clone_slot`
* :class:`bpy.types.Material.texture_paint_images`
* :class:`bpy.types.Material.texture_paint_slots`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.validate_material_indices`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.transform` (matrix, shape_keys), *was (matrix)*

bpy.types.WindowManager
-----------------------

Added
^^^^^

* :class:`bpy.types.WindowManager.piemenu_begin__internal`
* :class:`bpy.types.WindowManager.piemenu_end__internal`
* :class:`bpy.types.WindowManager.popup_menu_pie`

bpy.types.BevelModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BevelModifier.material`

bpy.types.HookModifier
----------------------

Added
^^^^^

* :class:`bpy.types.HookModifier.center`

bpy.types.SolidifyModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.SolidifyModifier.use_rim_only`

bpy.types.ShaderNodeBsdfAnisotropic
-----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeBsdfAnisotropic.distribution`

bpy.types.Paint
---------------

Added
^^^^^

* :class:`bpy.types.Paint.palette`

bpy.types.ImagePaint
--------------------

Added
^^^^^

* :class:`bpy.types.ImagePaint.canvas`
* :class:`bpy.types.ImagePaint.clone_image`
* :class:`bpy.types.ImagePaint.detect_data`
* :class:`bpy.types.ImagePaint.missing_materials`
* :class:`bpy.types.ImagePaint.missing_stencil`
* :class:`bpy.types.ImagePaint.missing_texture`
* :class:`bpy.types.ImagePaint.missing_uvs`
* :class:`bpy.types.ImagePaint.mode`
* :class:`bpy.types.ImagePaint.stencil_color`
* :class:`bpy.types.ImagePaint.stencil_image`

bpy.types.IMAGE_UV_sculpt
-------------------------

Added
^^^^^

* :class:`bpy.types.IMAGE_UV_sculpt.prop_unified_color`
* :class:`bpy.types.IMAGE_UV_sculpt.prop_unified_color_picker`

bpy.types.CyclesCameraSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCameraSettings.aperture_ratio`

bpy.types.CyclesMaterialSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesMaterialSettings.volume_sampling`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.caustics_reflective`
* :class:`bpy.types.CyclesRenderSettings.caustics_refractive`

Removed
^^^^^^^

* **no_caustics**
* **volume_homogeneous_sampling**

bpy.types.CyclesVisibilitySettings
----------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesVisibilitySettings.scatter`

bpy.types.CyclesWorldSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesWorldSettings.volume_sampling`

bpy.types.OperatorStrokeElement
-------------------------------

Added
^^^^^

* :class:`bpy.types.OperatorStrokeElement.size`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.bl_use_texture_preview`
* :class:`bpy.types.RenderEngine.layer_override`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.preview_start_resolution`
* :class:`bpy.types.RenderSettings.use_render_cache`

bpy.types.MouseSensor
---------------------

Added
^^^^^

* :class:`bpy.types.MouseSensor.material`
* :class:`bpy.types.MouseSensor.property`
* :class:`bpy.types.MouseSensor.use_material`
* :class:`bpy.types.MouseSensor.use_x_ray`

bpy.types.SpaceUVEditor
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceUVEditor.show_texpaint`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.handle_vertex`
* :class:`bpy.types.ThemeImageEditor.handle_vertex_select`
* :class:`bpy.types.ThemeImageEditor.handle_vertex_size`
* :class:`bpy.types.ThemeImageEditor.paint_curve_handle`
* :class:`bpy.types.ThemeImageEditor.paint_curve_pivot`

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.wcol_pie_menu`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.paint_curve_handle`
* :class:`bpy.types.ThemeView3D.paint_curve_pivot`
* :class:`bpy.types.ThemeView3D.split_normal`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.menu_pie`
* :class:`bpy.types.UILayout.template_palette`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_curve_mapping` (data, property, type, levels, brush, use_negative_slope), *was (data, property, type, levels, brush)*

bpy.types.UnifiedPaintSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.UnifiedPaintSettings.color`
* :class:`bpy.types.UnifiedPaintSettings.secondary_color`
* :class:`bpy.types.UnifiedPaintSettings.use_unified_color`

bpy.types.UserPreferencesFilePaths
----------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesFilePaths.render_cache_directory`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.font_path_ui`
* :class:`bpy.types.UserPreferencesSystem.is_occlusion_query_supported`
* :class:`bpy.types.UserPreferencesSystem.select_method`

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.pie_animation_timeout`
* :class:`bpy.types.UserPreferencesView.pie_initial_timeout`
* :class:`bpy.types.UserPreferencesView.pie_menu_radius`
* :class:`bpy.types.UserPreferencesView.pie_menu_threshold`

2.72 to 2.73
============

bpy.types.ActionGroup
---------------------

Added
^^^^^

* :class:`bpy.types.ActionGroup.is_custom_color_set`

bpy.types.BoneGroup
-------------------

Added
^^^^^

* :class:`bpy.types.BoneGroup.is_custom_color_set`

bpy.types.StretchToConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.StretchToConstraint.bulge_max`
* :class:`bpy.types.StretchToConstraint.bulge_min`
* :class:`bpy.types.StretchToConstraint.bulge_smooth`
* :class:`bpy.types.StretchToConstraint.use_bulge_max`
* :class:`bpy.types.StretchToConstraint.use_bulge_min`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_gpencil`

bpy.types.FreestyleSettings
---------------------------

Added
^^^^^

* :class:`bpy.types.FreestyleSettings.use_view_map_cache`

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.after_color`
* :class:`bpy.types.GPencilLayer.before_color`
* :class:`bpy.types.GPencilLayer.fill_alpha`
* :class:`bpy.types.GPencilLayer.fill_color`
* :class:`bpy.types.GPencilLayer.ghost_after_range`
* :class:`bpy.types.GPencilLayer.ghost_before_range`
* :class:`bpy.types.GPencilLayer.use_ghost_custom_colors`
* :class:`bpy.types.GPencilLayer.use_volumetric_strokes`

Removed
^^^^^^^

* **ghost_range_max**

bpy.types.GPencilStroke
-----------------------

Added
^^^^^

* :class:`bpy.types.GPencilStroke.select`

bpy.types.GPencilStrokePoint
----------------------------

Added
^^^^^

* :class:`bpy.types.GPencilStrokePoint.select`

bpy.types.GreasePencilLayers
----------------------------

Added
^^^^^

* :class:`bpy.types.GreasePencilLayers.active_index`

bpy.types.FreestyleLineStyle
----------------------------

Added
^^^^^

* :class:`bpy.types.FreestyleLineStyle.chain_count`
* :class:`bpy.types.FreestyleLineStyle.use_chain_count`

bpy.types.GreasePencil
----------------------

Added
^^^^^

* :class:`bpy.types.GreasePencil.animation_data`
* :class:`bpy.types.GreasePencil.use_stroke_edit_mode`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.generated_color`
* :class:`bpy.types.Image.render_slots`

Removed
^^^^^^^

* **render_slot**

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.uvedit_aspect`

bpy.types.CyclesLampSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesLampSettings.max_bounces`

bpy.types.CyclesMaterialSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesMaterialSettings.volume_interpolation`

bpy.types.CyclesWorldSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesWorldSettings.volume_interpolation`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.error_set`

bpy.types.RenderPass
--------------------

Added
^^^^^

* :class:`bpy.types.RenderPass.debug_type`

bpy.types.SculptToolCapabilities
--------------------------------

Renamed
^^^^^^^

* **has_strength** -> :class:`bpy.types.SculptToolCapabilities.has_strength_pressure`

bpy.types.SceneSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneSequence.use_grease_pencil`

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.show_backdrop`
* :class:`bpy.types.SpaceSequenceEditor.show_strip_offset`
* :class:`bpy.types.SpaceSequenceEditor.waveform_draw_type`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.show_world`

bpy.types.ThemeClipEditor
-------------------------

Removed
^^^^^^^

* **grid**

bpy.types.ThemeNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNodeEditor.wire_inner`

bpy.types.ThemeUserInterface
----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeUserInterface.widget_emboss`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.grease_pencil_source`

bpy.types.UILayout
------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.operator` (operator, text, text_ctxt, translate, icon, emboss, icon_value), *was (operator, text, text_ctxt, translate, icon, emboss)*

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.virtual_pixel_mode`

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.pie_menu_confirm`

2.73 to 2.74
============

bpy.types.SteeringActuator
--------------------------

Added
^^^^^

* :class:`bpy.types.SteeringActuator.lock_z_velocity`

bpy.types.BackgroundImage
-------------------------

Added
^^^^^

* :class:`bpy.types.BackgroundImage.rotation`
* :class:`bpy.types.BackgroundImage.use_flip_x`
* :class:`bpy.types.BackgroundImage.use_flip_y`

bpy.types.BrushCapabilities
---------------------------

Removed
^^^^^^^

* **has_texture_angle**
* **has_texture_angle_source**

bpy.types.ClothCollisionSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.ClothCollisionSettings.damping`

bpy.types.ClothSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothSettings.bending_damping`
* :class:`bpy.types.ClothSettings.density_strength`
* :class:`bpy.types.ClothSettings.density_target`
* :class:`bpy.types.ClothSettings.voxel_cell_size`

Removed
^^^^^^^

* **pre_roll**

bpy.types.SplineIKConstraint
----------------------------

Added
^^^^^

* :class:`bpy.types.SplineIKConstraint.bulge`
* :class:`bpy.types.SplineIKConstraint.bulge_max`
* :class:`bpy.types.SplineIKConstraint.bulge_min`
* :class:`bpy.types.SplineIKConstraint.bulge_smooth`
* :class:`bpy.types.SplineIKConstraint.use_bulge_max`
* :class:`bpy.types.SplineIKConstraint.use_bulge_min`

bpy.types.FCurve
----------------

Added
^^^^^

* :class:`bpy.types.FCurve.convert_to_keyframes`
* :class:`bpy.types.FCurve.convert_to_samples`

bpy.types.FileSelectParams
--------------------------

Added
^^^^^

* :class:`bpy.types.FileSelectParams.filter_search`

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.is_fill_visible`
* :class:`bpy.types.GPencilLayer.is_stroke_visible`

bpy.types.Brush
---------------

Removed
^^^^^^^

* **texture_angle_source_no_random**
* **texture_angle_source_random**
* **use_rake**
* **use_random_rotation**

bpy.types.Camera
----------------

Added
^^^^^

* :class:`bpy.types.Camera.gpu_dof`
* :class:`bpy.types.Camera.show_safe_center`

Renamed
^^^^^^^

* **show_title_safe** -> :class:`bpy.types.Camera.show_safe_areas`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.use_deinterlace`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Image.pack` (as_png, data, data_len), *was (as_png)*

bpy.types.Key
-------------

Removed
^^^^^^^

* **slurph**

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.create_normals_split`
* :class:`bpy.types.Mesh.has_custom_normals`
* :class:`bpy.types.Mesh.normals_split_custom_set`
* :class:`bpy.types.Mesh.normals_split_custom_set_from_vertices`
* :class:`bpy.types.Mesh.vertex_layers_float`
* :class:`bpy.types.Mesh.vertex_layers_int`
* :class:`bpy.types.Mesh.vertex_layers_string`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.calc_normals_split` (), *was (split_angle)*
* :class:`bpy.types.Mesh.validate` (verbose, clean_customdata), *was (verbose)*

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.calc_matrix_camera`
* :class:`bpy.types.Object.camera_fit_coords`

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.bending_random`
* :class:`bpy.types.ParticleSettings.clump_curve`
* :class:`bpy.types.ParticleSettings.clump_noise_size`
* :class:`bpy.types.ParticleSettings.kink_amplitude_random`
* :class:`bpy.types.ParticleSettings.kink_axis_random`
* :class:`bpy.types.ParticleSettings.kink_extra_steps`
* :class:`bpy.types.ParticleSettings.roughness_curve`
* :class:`bpy.types.ParticleSettings.show_guide_hairs`
* :class:`bpy.types.ParticleSettings.show_hair_grid`
* :class:`bpy.types.ParticleSettings.use_clump_curve`
* :class:`bpy.types.ParticleSettings.use_clump_noise`
* :class:`bpy.types.ParticleSettings.use_roughness_curve`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.safe_areas`

bpy.types.Screen
----------------

Added
^^^^^

* :class:`bpy.types.Screen.use_follow`

bpy.types.Sound
---------------

Added
^^^^^

* :class:`bpy.types.Sound.pack`
* :class:`bpy.types.Sound.unpack`

bpy.types.VectorFont
--------------------

Added
^^^^^

* :class:`bpy.types.VectorFont.pack`
* :class:`bpy.types.VectorFont.unpack`

bpy.types.KeyingSet
-------------------

Added
^^^^^

* :class:`bpy.types.KeyingSet.use_insertkey_needed`
* :class:`bpy.types.KeyingSet.use_insertkey_override_needed`
* :class:`bpy.types.KeyingSet.use_insertkey_override_visual`
* :class:`bpy.types.KeyingSet.use_insertkey_override_xyz_to_rgb`
* :class:`bpy.types.KeyingSet.use_insertkey_visual`
* :class:`bpy.types.KeyingSet.use_insertkey_xyz_to_rgb`

Removed
^^^^^^^

* **bl_options**

bpy.types.KeyingSetPath
-----------------------

Added
^^^^^

* :class:`bpy.types.KeyingSetPath.use_insertkey_needed`
* :class:`bpy.types.KeyingSetPath.use_insertkey_override_needed`
* :class:`bpy.types.KeyingSetPath.use_insertkey_override_visual`
* :class:`bpy.types.KeyingSetPath.use_insertkey_override_xyz_to_rgb`
* :class:`bpy.types.KeyingSetPath.use_insertkey_visual`
* :class:`bpy.types.KeyingSetPath.use_insertkey_xyz_to_rgb`

Removed
^^^^^^^

* **bl_options**

bpy.types.ClothModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothModifier.hair_grid_max`
* :class:`bpy.types.ClothModifier.hair_grid_min`
* :class:`bpy.types.ClothModifier.hair_grid_resolution`
* :class:`bpy.types.ClothModifier.solver_result`

bpy.types.HookModifier
----------------------

Added
^^^^^

* :class:`bpy.types.HookModifier.falloff_curve`
* :class:`bpy.types.HookModifier.falloff_type`
* :class:`bpy.types.HookModifier.use_falloff_uniform`

Renamed
^^^^^^^

* **falloff** -> :class:`bpy.types.HookModifier.falloff_radius`
* **force** -> :class:`bpy.types.HookModifier.strength`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.shading_compatibility`

bpy.types.CompositorNodePlaneTrackDeform
----------------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodePlaneTrackDeform.motion_blur_samples`
* :class:`bpy.types.CompositorNodePlaneTrackDeform.motion_blur_shutter`
* :class:`bpy.types.CompositorNodePlaneTrackDeform.use_motion_blur`

bpy.types.NodeFrame
-------------------

Added
^^^^^

* :class:`bpy.types.NodeFrame.text`

bpy.types.ShaderNodeTexCoord
----------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexCoord.object`

bpy.types.Paint
---------------

Added
^^^^^

* :class:`bpy.types.Paint.cavity_curve`
* :class:`bpy.types.Paint.use_cavity`

bpy.types.ImagePaint
--------------------

Added
^^^^^

* :class:`bpy.types.ImagePaint.dither`

bpy.types.ParticleEdit
----------------------

Added
^^^^^

* :class:`bpy.types.ParticleEdit.shape_object`

bpy.types.CyclesCameraSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesCameraSettings.latitude_max`
* :class:`bpy.types.CyclesCameraSettings.latitude_min`
* :class:`bpy.types.CyclesCameraSettings.longitude_max`
* :class:`bpy.types.CyclesCameraSettings.longitude_min`

bpy.types.RegionView3D
----------------------

Added
^^^^^

* :class:`bpy.types.RegionView3D.window_matrix`

bpy.types.SequenceProxy
-----------------------

Added
^^^^^

* :class:`bpy.types.SequenceProxy.use_overwrite`

bpy.types.SpaceFileBrowser
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceFileBrowser.bookmarks`
* :class:`bpy.types.SpaceFileBrowser.bookmarks_active`
* :class:`bpy.types.SpaceFileBrowser.recent_folders`
* :class:`bpy.types.SpaceFileBrowser.recent_folders_active`
* :class:`bpy.types.SpaceFileBrowser.system_bookmarks`
* :class:`bpy.types.SpaceFileBrowser.system_bookmarks_active`
* :class:`bpy.types.SpaceFileBrowser.system_folders`
* :class:`bpy.types.SpaceFileBrowser.system_folders_active`

bpy.types.SpaceOutliner
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceOutliner.use_sort_alpha`

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.show_safe_areas`
* :class:`bpy.types.SpaceSequenceEditor.show_safe_center`

Removed
^^^^^^^

* **show_safe_margin**

bpy.types.SpaceTextEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceTextEditor.region_location_from_cursor`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.fx_settings`

bpy.types.BrushTextureSlot
--------------------------

Added
^^^^^

* :class:`bpy.types.BrushTextureSlot.has_random_texture_angle`
* :class:`bpy.types.BrushTextureSlot.has_texture_angle`
* :class:`bpy.types.BrushTextureSlot.has_texture_angle_source`
* :class:`bpy.types.BrushTextureSlot.random_angle`
* :class:`bpy.types.BrushTextureSlot.use_rake`
* :class:`bpy.types.BrushTextureSlot.use_random`

bpy.types.ParticleSettingsTextureSlot
-------------------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettingsTextureSlot.kink_amp_factor`
* :class:`bpy.types.ParticleSettingsTextureSlot.kink_freq_factor`
* :class:`bpy.types.ParticleSettingsTextureSlot.use_map_kink_amp`
* :class:`bpy.types.ParticleSettingsTextureSlot.use_map_kink_freq`

Removed
^^^^^^^

* **kink_factor**
* **use_map_kink**

bpy.types.ThemeClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeClipEditor.gp_vertex`
* :class:`bpy.types.ThemeClipEditor.gp_vertex_select`
* :class:`bpy.types.ThemeClipEditor.gp_vertex_size`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.gp_vertex`
* :class:`bpy.types.ThemeImageEditor.gp_vertex_select`
* :class:`bpy.types.ThemeImageEditor.gp_vertex_size`

bpy.types.ThemeNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.ThemeNodeEditor.gp_vertex`
* :class:`bpy.types.ThemeNodeEditor.gp_vertex_select`
* :class:`bpy.types.ThemeNodeEditor.gp_vertex_size`

bpy.types.ThemeSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSequenceEditor.gp_vertex`
* :class:`bpy.types.ThemeSequenceEditor.gp_vertex_select`
* :class:`bpy.types.ThemeSequenceEditor.gp_vertex_size`

bpy.types.ThemeTimeline
-----------------------

Added
^^^^^

* :class:`bpy.types.ThemeTimeline.time_grease_pencil`
* :class:`bpy.types.ThemeTimeline.time_keyframe`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.clipping_border_3d`
* :class:`bpy.types.ThemeView3D.gp_vertex`
* :class:`bpy.types.ThemeView3D.gp_vertex_select`
* :class:`bpy.types.ThemeView3D.gp_vertex_size`

bpy.types.UILayout
------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_list` (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, item_dyntip_propname, rows, maxrows, type, columns), *was (listtype_name, list_id, dataptr, propname, active_dataptr, active_propname, rows, maxrows, type, columns)*

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.pixel_size`

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.use_gl_warn_support`

bpy.types.VoxelData
-------------------

Added
^^^^^

* :class:`bpy.types.VoxelData.hair_data_type`

2.74 to 2.75
============

bpy.types.BakePixel
-------------------

Added
^^^^^

* :class:`bpy.types.BakePixel.object_id`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.palettes`

bpy.types.BlendDataImages
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataImages.new` (name, width, height, alpha, float_buffer, stereo3d), *was (name, width, height, alpha, float_buffer)*

bpy.types.BlendDataSounds
-------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataSounds.load`
* :class:`bpy.types.BlendDataSounds.remove`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.filter_text`
* :class:`bpy.types.DopeSheet.use_filter_text`

bpy.types.FileSelectParams
--------------------------

Added
^^^^^

* :class:`bpy.types.FileSelectParams.thumbnail_size`

bpy.types.GPUDOFSettings
------------------------

Added
^^^^^

* :class:`bpy.types.GPUDOFSettings.blades`
* :class:`bpy.types.GPUDOFSettings.is_hq_supported`
* :class:`bpy.types.GPUDOFSettings.use_high_quality`

bpy.types.Camera
----------------

Added
^^^^^

* :class:`bpy.types.Camera.stereo`

bpy.types.Image
---------------

Added
^^^^^

* :class:`bpy.types.Image.buffers_free`
* :class:`bpy.types.Image.is_multiview`
* :class:`bpy.types.Image.is_stereo_3d`
* :class:`bpy.types.Image.packed_files`
* :class:`bpy.types.Image.stereo_3d_format`
* :class:`bpy.types.Image.use_multiview`
* :class:`bpy.types.Image.views_format`

bpy.types.SunLamp
-----------------

Added
^^^^^

* :class:`bpy.types.SunLamp.show_shadow_box`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.vertex_paint_masks`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.calc_tessface` (free_mpoly), *was ()*

bpy.types.Object
----------------

Added
^^^^^

* :class:`bpy.types.Object.cache_release`
* :class:`bpy.types.Object.shape_key_remove`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.depsgraph`

bpy.types.ImageFormatSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.ImageFormatSettings.stereo_3d_format`
* :class:`bpy.types.ImageFormatSettings.views_format`

bpy.types.ImageUser
-------------------

Added
^^^^^

* :class:`bpy.types.ImageUser.multilayer_view`

Removed
^^^^^^^

* **multilayer_pass**

bpy.types.LodLevel
------------------

Added
^^^^^

* :class:`bpy.types.LodLevel.object_hysteresis_percentage`
* :class:`bpy.types.LodLevel.use_object_hysteresis`

bpy.types.DecimateModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.DecimateModifier.vertex_group_factor`

bpy.types.CompositorNodeImage
-----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeImage.has_layers`
* :class:`bpy.types.CompositorNodeImage.has_views`
* :class:`bpy.types.CompositorNodeImage.view`

bpy.types.TextureNodeImage
--------------------------

Added
^^^^^

* :class:`bpy.types.TextureNodeImage.image_user`

bpy.types.Operator
------------------

Added
^^^^^

* :class:`bpy.types.Operator.macros`
* :class:`bpy.types.Operator.options`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.detail_percent`

bpy.types.PointCache
--------------------

Renamed
^^^^^^^

* **frames_skipped** -> :class:`bpy.types.PointCache.is_frame_skip`

bpy.types.CyclesLampSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesLampSettings.is_portal`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.use_animated_seed`

bpy.types.Region
----------------

Removed
^^^^^^^

* **callback_add**

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.active_view_set`
* :class:`bpy.types.RenderEngine.bl_use_shading_nodes_custom`
* :class:`bpy.types.RenderEngine.camera_model_matrix`
* :class:`bpy.types.RenderEngine.camera_shift_x`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.bake` (scene, object, pass_type, object_id, pixel_array, num_pixels, depth, result), *was (scene, object, pass_type, pixel_array, num_pixels, depth, result)*
* :class:`bpy.types.RenderEngine.begin_result` (x, y, w, h, layer, view), *was (x, y, w, h, layer)*

bpy.types.CYCLES
----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.CYCLES.bake` (self, scene, obj, pass_type, object_id, pixel_array, num_pixels, depth, result), *was (self, scene, obj, pass_type, pixel_array, num_pixels, depth, result)*

bpy.types.RenderLayer
---------------------

Removed
^^^^^^^

* **rect**

bpy.types.RenderPass
--------------------

Added
^^^^^

* :class:`bpy.types.RenderPass.view_id`

bpy.types.RenderResult
----------------------

Added
^^^^^

* :class:`bpy.types.RenderResult.views`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.simplify_child_particles_render`
* :class:`bpy.types.RenderSettings.simplify_subdivision_render`
* :class:`bpy.types.RenderSettings.stereo_views`
* :class:`bpy.types.RenderSettings.use_multiview`
* :class:`bpy.types.RenderSettings.views`
* :class:`bpy.types.RenderSettings.views_format`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderSettings.frame_path` (frame, preview, view), *was (frame)*

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.scene_hysteresis_percentage`
* :class:`bpy.types.SceneGameData.use_scene_hysteresis`

bpy.types.Sensor
----------------

Added
^^^^^

* :class:`bpy.types.Sensor.tick_skip`

Removed
^^^^^^^

* **frequency**

bpy.types.EffectSequence
------------------------

Removed
^^^^^^^

* **use_proxy_custom_directory**
* **use_proxy_custom_file**

bpy.types.ImageSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.ImageSequence.stereo_3d_format`
* :class:`bpy.types.ImageSequence.use_multiview`
* :class:`bpy.types.ImageSequence.views_format`

Removed
^^^^^^^

* **use_proxy_custom_directory**
* **use_proxy_custom_file**

bpy.types.MetaSequence
----------------------

Removed
^^^^^^^

* **use_proxy_custom_directory**
* **use_proxy_custom_file**

bpy.types.MovieSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.MovieSequence.stereo_3d_format`
* :class:`bpy.types.MovieSequence.use_multiview`
* :class:`bpy.types.MovieSequence.views_format`

Removed
^^^^^^^

* **use_proxy_custom_directory**
* **use_proxy_custom_file**

bpy.types.SceneSequence
-----------------------

Removed
^^^^^^^

* **use_proxy_custom_directory**
* **use_proxy_custom_file**

bpy.types.SequenceEditor
------------------------

Added
^^^^^

* :class:`bpy.types.SequenceEditor.proxy_dir`
* :class:`bpy.types.SequenceEditor.proxy_storage`

bpy.types.SequenceProxy
-----------------------

Added
^^^^^

* :class:`bpy.types.SequenceProxy.use_proxy_custom_directory`
* :class:`bpy.types.SequenceProxy.use_proxy_custom_file`

bpy.types.SpaceImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceImageEditor.show_stereo_3d`

bpy.types.SpaceSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.SpaceSequenceEditor.show_metadata`

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.show_stereo_3d_cameras`
* :class:`bpy.types.SpaceView3D.show_stereo_3d_convergence_plane`
* :class:`bpy.types.SpaceView3D.show_stereo_3d_volume`
* :class:`bpy.types.SpaceView3D.stereo_3d_camera`
* :class:`bpy.types.SpaceView3D.stereo_3d_convergence_plane_alpha`
* :class:`bpy.types.SpaceView3D.stereo_3d_eye`
* :class:`bpy.types.SpaceView3D.stereo_3d_volume_alpha`

bpy.types.SpaceUVEditor
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceUVEditor.show_metadata`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.metadatabg`
* :class:`bpy.types.ThemeImageEditor.metadatatext`

bpy.types.ThemeSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSequenceEditor.metadatabg`
* :class:`bpy.types.ThemeSequenceEditor.metadatatext`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.lock_markers`
* :class:`bpy.types.ToolSettings.use_proportional_action`
* :class:`bpy.types.ToolSettings.use_proportional_fcurve`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_image_stereo_3d`
* :class:`bpy.types.UILayout.template_image_views`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.menu` (menu, text, text_ctxt, translate, icon, icon_value), *was (menu, text, text_ctxt, translate, icon)*
* :class:`bpy.types.UILayout.template_icon_view` (data, property, show_labels), *was (data, property)*
* :class:`bpy.types.UILayout.template_image` (data, property, image_user, compact, multiview), *was (data, property, image_user, compact)*

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.view_frame_keyframes`
* :class:`bpy.types.UserPreferencesView.view_frame_seconds`
* :class:`bpy.types.UserPreferencesView.view_frame_type`

bpy.types.Window
----------------

Added
^^^^^

* :class:`bpy.types.Window.stereo_3d_display`

2.75 to 2.76
============

bpy.types.ActionFCurves
-----------------------

Added
^^^^^

* :class:`bpy.types.ActionFCurves.find`

bpy.types.BlendDataBrushes
--------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataBrushes.new` (name, mode), *was (name)*

bpy.types.FileSelectParams
--------------------------

Added
^^^^^

* :class:`bpy.types.FileSelectParams.filter_id`
* :class:`bpy.types.FileSelectParams.filter_id_category`
* :class:`bpy.types.FileSelectParams.recursion_level`
* :class:`bpy.types.FileSelectParams.use_filter_blendid`
* :class:`bpy.types.FileSelectParams.use_library_browsing`

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.angular_velocity_max`
* :class:`bpy.types.GameObjectSettings.angular_velocity_min`

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.preview`

bpy.types.Brush
---------------

Removed
^^^^^^^

* **use_wrap**

bpy.types.ImagePreview
----------------------

Added
^^^^^

* :class:`bpy.types.ImagePreview.icon_pixels_float`
* :class:`bpy.types.ImagePreview.image_pixels_float`

bpy.types.ImageUser
-------------------

Added
^^^^^

* :class:`bpy.types.ImageUser.multilayer_pass`

bpy.types.BevelModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.BevelModifier.loop_slide`

bpy.types.SubsurfModifier
-------------------------

Added
^^^^^

* :class:`bpy.types.SubsurfModifier.use_opensubdiv`

bpy.types.ShaderNodeTexImage
----------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexImage.extension`

bpy.types.Paint
---------------

Added
^^^^^

* :class:`bpy.types.Paint.tile_offset`
* :class:`bpy.types.Paint.tile_x`
* :class:`bpy.types.Paint.tile_y`
* :class:`bpy.types.Paint.tile_z`

bpy.types.CyclesObjectBlurSettings
----------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesObjectBlurSettings.use_camera_cull`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.camera_cull_margin`
* :class:`bpy.types.CyclesRenderSettings.use_camera_cull`

bpy.types.CyclesWorldSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.CyclesWorldSettings.max_bounces`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.use_stamp_strip_meta`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.velocity_grid`

bpy.types.SpaceClipEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceClipEditor.show_metadata`

bpy.types.SpaceNodeEditor
-------------------------

Added
^^^^^

* :class:`bpy.types.SpaceNodeEditor.insert_offset_direction`
* :class:`bpy.types.SpaceNodeEditor.use_insert_offset`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.use_snap_grid_absolute`

bpy.types.UILayout
------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.UILayout.template_icon_view` (data, property, show_labels, scale), *was (data, property, show_labels)*

bpy.types.UserPreferencesEdit
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesEdit.node_margin`

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.ndof_deadzone`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.opensubdiv_compute_type`

2.76 to 2.77
============

bpy.types.AnimDataDrivers
-------------------------

Added
^^^^^

* :class:`bpy.types.AnimDataDrivers.find`

bpy.types.BakeSettings
----------------------

Added
^^^^^

* :class:`bpy.types.BakeSettings.pass_filter`
* :class:`bpy.types.BakeSettings.use_pass_ambient_occlusion`
* :class:`bpy.types.BakeSettings.use_pass_color`
* :class:`bpy.types.BakeSettings.use_pass_diffuse`
* :class:`bpy.types.BakeSettings.use_pass_direct`
* :class:`bpy.types.BakeSettings.use_pass_emit`
* :class:`bpy.types.BakeSettings.use_pass_glossy`
* :class:`bpy.types.BakeSettings.use_pass_indirect`
* :class:`bpy.types.BakeSettings.use_pass_subsurface`
* :class:`bpy.types.BakeSettings.use_pass_transmission`

bpy.types.BlendData
-------------------

Removed
^^^^^^^

* **scripts**

bpy.types.BlendDataFonts
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataFonts.load` (filepath, check_existing), *was (filepath)*

bpy.types.BlendDataImages
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataImages.load` (filepath, check_existing), *was (filepath)*

bpy.types.BlendDataMasks
------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMasks.is_updated`

bpy.types.BlendDataMovieClips
-----------------------------

Added
^^^^^

* :class:`bpy.types.BlendDataMovieClips.is_updated`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMovieClips.load` (filepath, check_existing), *was (filepath)*

bpy.types.BlendDataSounds
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataSounds.load` (filepath, check_existing), *was (filepath)*

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.show_gpencil_3d_only`

bpy.types.FileSelectParams
--------------------------

Added
^^^^^

* :class:`bpy.types.FileSelectParams.display_size`

Removed
^^^^^^^

* **thumbnail_size**

bpy.types.GameObjectSettings
----------------------------

Added
^^^^^

* :class:`bpy.types.GameObjectSettings.jump_max`

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.user_of_id`

bpy.types.Brush
---------------

Added
^^^^^

* :class:`bpy.types.Brush.rake_factor`

bpy.types.FreestyleLineStyle
----------------------------

Added
^^^^^

* :class:`bpy.types.FreestyleLineStyle.animation_data`

bpy.types.GreasePencil
----------------------

Added
^^^^^

* :class:`bpy.types.GreasePencil.use_onion_skinning`

Removed
^^^^^^^

* **draw_mode**
* **use_stroke_endpoints**

bpy.types.Object
----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Object.closest_point_on_mesh` (origin, distance), *was (point, max_dist)*
* :class:`bpy.types.Object.ray_cast` (origin, direction, distance), *was (start, end)*

bpy.types.Scene
---------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.ray_cast` (origin, direction, distance), *was (start, end)*

bpy.types.ImageFormatSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.ImageFormatSettings.tiff_codec`

bpy.types.ImagePackedFile
-------------------------

Added
^^^^^

* :class:`bpy.types.ImagePackedFile.save`

bpy.types.DataTransferModifier
------------------------------

Removed
^^^^^^^

* **data_types_loops_uv**
* **data_types_loops_vcol**
* **data_types_verts_vgroup**

bpy.types.DecimateModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.DecimateModifier.symmetry_axis`
* :class:`bpy.types.DecimateModifier.use_symmetry`

bpy.types.Node
--------------

Added
^^^^^

* :class:`bpy.types.Node.insert_link`

bpy.types.CompositorNodeBlur
----------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeBlur.use_extended_bounds`

bpy.types.CompositorNodeBokehBlur
---------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeBokehBlur.use_extended_bounds`

bpy.types.CompositorNodeStabilize
---------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeStabilize.invert`

bpy.types.ShaderNodeTexEnvironment
----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexEnvironment.interpolation`

bpy.types.ShaderNodeTexPointDensity
-----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexPointDensity.cache_point_density`
* :class:`bpy.types.ShaderNodeTexPointDensity.calc_point_density_minmax`

bpy.types.ShaderNodeTexWave
---------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexWave.wave_profile`

bpy.types.PoseBone
------------------

Added
^^^^^

* :class:`bpy.types.PoseBone.custom_shape_scale`
* :class:`bpy.types.PoseBone.use_custom_shape_bone_size`

bpy.types.EnumProperty
----------------------

Added
^^^^^

* :class:`bpy.types.EnumProperty.enum_items_static`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.debug_opencl_device_type`
* :class:`bpy.types.CyclesRenderSettings.debug_opencl_kernel_type`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cpu_avx`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cpu_avx2`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cpu_sse2`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cpu_sse3`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cpu_sse41`
* :class:`bpy.types.CyclesRenderSettings.debug_use_opencl_debug`
* :class:`bpy.types.CyclesRenderSettings.debug_use_qbvh`
* :class:`bpy.types.CyclesRenderSettings.motion_blur_position`
* :class:`bpy.types.CyclesRenderSettings.pixel_filter_type`
* :class:`bpy.types.CyclesRenderSettings.rolling_shutter_duration`
* :class:`bpy.types.CyclesRenderSettings.rolling_shutter_type`

Removed
^^^^^^^

* **use_cache**

bpy.types.RenderEngine
----------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.bake` (scene, object, pass_type, pass_filter, object_id, pixel_array, num_pixels, depth, result), *was (scene, object, pass_type, object_id, pixel_array, num_pixels, depth, result)*

bpy.types.CYCLES
----------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.CYCLES.bake` (self, scene, obj, pass_type, pass_filter, object_id, pixel_array, num_pixels, depth, result), *was (self, scene, obj, pass_type, object_id, pixel_array, num_pixels, depth, result)*

bpy.types.RenderLayer
---------------------

Added
^^^^^

* :class:`bpy.types.RenderLayer.use_ao`

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.motion_blur_shutter_curve`

Removed
^^^^^^^

* **use_free_unused_nodes**

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.use_ao`

bpy.types.SculptToolCapabilities
--------------------------------

Added
^^^^^

* :class:`bpy.types.SculptToolCapabilities.has_rake_factor`

bpy.types.TextSequence
----------------------

Added
^^^^^

* :class:`bpy.types.TextSequence.align_y`
* :class:`bpy.types.TextSequence.wrap_width`

Renamed
^^^^^^^

* **align** -> :class:`bpy.types.TextSequence.align_x`

bpy.types.WipeSequence
----------------------

Added
^^^^^

* :class:`bpy.types.WipeSequence.input_2`

bpy.types.SceneSequence
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneSequence.use_sequence`

bpy.types.SoundSequence
-----------------------

Removed
^^^^^^^

* **filepath**

bpy.types.SequenceModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.SequenceModifier.mask_time`

bpy.types.ShapeKey
------------------

Added
^^^^^

* :class:`bpy.types.ShapeKey.normals_polygon_get`
* :class:`bpy.types.ShapeKey.normals_split_get`
* :class:`bpy.types.ShapeKey.normals_vertex_get`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.cache_file_format`
* :class:`bpy.types.SmokeDomainSettings.data_depth`
* :class:`bpy.types.SmokeDomainSettings.openvdb_cache_compress_type`

bpy.types.SpaceGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.SpaceGraphEditor.cursor_position_x`

bpy.types.ThemeSequenceEditor
-----------------------------

Added
^^^^^

* :class:`bpy.types.ThemeSequenceEditor.text_strip`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.text_grease_pencil`
* :class:`bpy.types.ThemeView3D.text_keyframe`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.gpencil_sculpt`
* :class:`bpy.types.ToolSettings.gpencil_stroke_placement_image_editor`
* :class:`bpy.types.ToolSettings.gpencil_stroke_placement_sequencer_preview`
* :class:`bpy.types.ToolSettings.gpencil_stroke_placement_view2d`
* :class:`bpy.types.ToolSettings.gpencil_stroke_placement_view3d`
* :class:`bpy.types.ToolSettings.use_gpencil_additive_drawing`
* :class:`bpy.types.ToolSettings.use_gpencil_stroke_endpoints`

Renamed
^^^^^^^

* **use_grease_pencil_sessions** -> :class:`bpy.types.ToolSettings.use_gpencil_continuous_drawing`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.font_path_ui_mono`

Removed
^^^^^^^

* **is_occlusion_query_supported**
* **use_vertex_buffer_objects**

bpy.types.UserPreferencesView
-----------------------------

Removed
^^^^^^^

* **use_gl_warn_support**

2.77 to 2.78
============

bpy.types.AnimData
------------------

Added
^^^^^

* :class:`bpy.types.AnimData.use_tweak_mode`

bpy.types.BlendData
-------------------

Added
^^^^^

* :class:`bpy.types.BlendData.cache_files`
* :class:`bpy.types.BlendData.paint_curves`

bpy.types.BlendDataActions
--------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataActions.remove` (action, do_unlink), *was (action)*

bpy.types.BlendDataArmatures
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataArmatures.remove` (armature, do_unlink), *was (armature)*

bpy.types.BlendDataBrushes
--------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataBrushes.remove` (brush, do_unlink), *was (brush)*

bpy.types.BlendDataCameras
--------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataCameras.remove` (camera, do_unlink), *was (camera)*

bpy.types.BlendDataCurves
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataCurves.remove` (curve, do_unlink), *was (curve)*

bpy.types.BlendDataFonts
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataFonts.remove` (vfont, do_unlink), *was (vfont)*

bpy.types.BlendDataGreasePencils
--------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataGreasePencils.remove` (grease_pencil, do_unlink), *was (grease_pencil)*

bpy.types.BlendDataGroups
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataGroups.remove` (group, do_unlink), *was (group)*

bpy.types.BlendDataImages
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataImages.remove` (image, do_unlink), *was (image)*

bpy.types.BlendDataLamps
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataLamps.remove` (lamp, do_unlink), *was (lamp)*

bpy.types.BlendDataLattices
---------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataLattices.remove` (lattice, do_unlink), *was (lattice)*

bpy.types.BlendDataLineStyles
-----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataLineStyles.remove` (linestyle, do_unlink), *was (linestyle)*

bpy.types.BlendDataMasks
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMasks.remove` (mask, do_unlink), *was (mask)*

bpy.types.BlendDataMaterials
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMaterials.remove` (material, do_unlink), *was (material)*

bpy.types.BlendDataMeshes
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMeshes.remove` (mesh, do_unlink), *was (mesh)*

bpy.types.BlendDataMetaBalls
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMetaBalls.remove` (metaball, do_unlink), *was (metaball)*

bpy.types.BlendDataMovieClips
-----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataMovieClips.remove` (clip, do_unlink), *was (clip)*

bpy.types.BlendDataNodeTrees
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataNodeTrees.remove` (tree, do_unlink), *was (tree)*

bpy.types.BlendDataObjects
--------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataObjects.remove` (object, do_unlink), *was (object)*

bpy.types.BlendDataPalettes
---------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataPalettes.remove` (palette, do_unlink), *was (palette)*

bpy.types.BlendDataParticles
----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataParticles.remove` (particle, do_unlink), *was (particle)*

bpy.types.BlendDataScenes
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataScenes.remove` (scene, do_unlink), *was (scene)*

bpy.types.BlendDataSounds
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataSounds.remove` (sound, do_unlink), *was (sound)*

bpy.types.BlendDataSpeakers
---------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataSpeakers.remove` (speaker, do_unlink), *was (speaker)*

bpy.types.BlendDataTexts
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataTexts.remove` (text, do_unlink), *was (text)*

bpy.types.BlendDataTextures
---------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataTextures.remove` (texture, do_unlink), *was (texture)*

bpy.types.BlendDataWorlds
-------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.BlendDataWorlds.remove` (world, do_unlink), *was (world)*

bpy.types.Bone
--------------

Added
^^^^^

* :class:`bpy.types.Bone.bbone_curveinx`
* :class:`bpy.types.Bone.bbone_curveiny`
* :class:`bpy.types.Bone.bbone_curveoutx`
* :class:`bpy.types.Bone.bbone_curveouty`
* :class:`bpy.types.Bone.bbone_rollin`
* :class:`bpy.types.Bone.bbone_rollout`
* :class:`bpy.types.Bone.bbone_scalein`
* :class:`bpy.types.Bone.bbone_scaleout`
* :class:`bpy.types.Bone.use_endroll_as_inroll`

bpy.types.CameraStereoData
--------------------------

Added
^^^^^

* :class:`bpy.types.CameraStereoData.pole_merge_angle_from`
* :class:`bpy.types.CameraStereoData.pole_merge_angle_to`
* :class:`bpy.types.CameraStereoData.use_pole_merge`
* :class:`bpy.types.CameraStereoData.use_spherical_stereo`

bpy.types.ClothSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.ClothSettings.time_scale`
* :class:`bpy.types.ClothSettings.use_dynamic_mesh`

bpy.types.CopyLocationConstraint
--------------------------------

Added
^^^^^

* :class:`bpy.types.CopyLocationConstraint.use_bbone_shape`

bpy.types.CopyTransformsConstraint
----------------------------------

Added
^^^^^

* :class:`bpy.types.CopyTransformsConstraint.use_bbone_shape`

bpy.types.DampedTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.DampedTrackConstraint.use_bbone_shape`

bpy.types.LimitDistanceConstraint
---------------------------------

Added
^^^^^

* :class:`bpy.types.LimitDistanceConstraint.use_bbone_shape`

bpy.types.LockedTrackConstraint
-------------------------------

Added
^^^^^

* :class:`bpy.types.LockedTrackConstraint.use_bbone_shape`

bpy.types.PivotConstraint
-------------------------

Added
^^^^^

* :class:`bpy.types.PivotConstraint.use_bbone_shape`

bpy.types.StretchToConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.StretchToConstraint.use_bbone_shape`

bpy.types.TrackToConstraint
---------------------------

Added
^^^^^

* :class:`bpy.types.TrackToConstraint.use_bbone_shape`

bpy.types.DopeSheet
-------------------

Added
^^^^^

* :class:`bpy.types.DopeSheet.use_datablock_sort`
* :class:`bpy.types.DopeSheet.use_multi_word_filter`

bpy.types.Driver
----------------

Added
^^^^^

* :class:`bpy.types.Driver.use_self`

bpy.types.DriverVariable
------------------------

Added
^^^^^

* :class:`bpy.types.DriverVariable.is_name_valid`

bpy.types.EditBone
------------------

Added
^^^^^

* :class:`bpy.types.EditBone.bbone_curveinx`
* :class:`bpy.types.EditBone.bbone_curveiny`
* :class:`bpy.types.EditBone.bbone_curveoutx`
* :class:`bpy.types.EditBone.bbone_curveouty`
* :class:`bpy.types.EditBone.bbone_rollin`
* :class:`bpy.types.EditBone.bbone_rollout`
* :class:`bpy.types.EditBone.bbone_scalein`
* :class:`bpy.types.EditBone.bbone_scaleout`
* :class:`bpy.types.EditBone.use_endroll_as_inroll`

bpy.types.FCurveKeyframePoints
------------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.FCurveKeyframePoints.insert` (frame, value, options, keyframe_type), *was (frame, value, options)*

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.is_parented`
* :class:`bpy.types.GPencilLayer.matrix_inverse`
* :class:`bpy.types.GPencilLayer.parent`
* :class:`bpy.types.GPencilLayer.parent_bone`
* :class:`bpy.types.GPencilLayer.parent_type`
* :class:`bpy.types.GPencilLayer.tint_color`
* :class:`bpy.types.GPencilLayer.tint_factor`
* :class:`bpy.types.GPencilLayer.unlock_color`

Removed
^^^^^^^

* **color**
* **fill_alpha**
* **fill_color**
* **is_fill_visible**
* **is_stroke_visible**

Renamed
^^^^^^^

* **alpha** -> :class:`bpy.types.GPencilLayer.opacity`
* **line_width** -> :class:`bpy.types.GPencilLayer.line_change`

bpy.types.GPencilSculptSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.GPencilSculptSettings.affect_position`
* :class:`bpy.types.GPencilSculptSettings.affect_strength`
* :class:`bpy.types.GPencilSculptSettings.affect_thickness`
* :class:`bpy.types.GPencilSculptSettings.selection_alpha`

bpy.types.GPencilStroke
-----------------------

Added
^^^^^

* :class:`bpy.types.GPencilStroke.color`
* :class:`bpy.types.GPencilStroke.colorname`
* :class:`bpy.types.GPencilStroke.draw_cyclic`
* :class:`bpy.types.GPencilStroke.line_width`
* :class:`bpy.types.GPencilStroke.triangles`

bpy.types.GPencilStrokePoint
----------------------------

Added
^^^^^

* :class:`bpy.types.GPencilStrokePoint.strength`

bpy.types.GPencilStrokePoints
-----------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPencilStrokePoints.add` (count, pressure, strength), *was (count)*

bpy.types.GPencilStrokes
------------------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPencilStrokes.new` (colorname), *was ()*

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.user_remap`

bpy.types.TextCurve
-------------------

Added
^^^^^

* :class:`bpy.types.TextCurve.align_x`
* :class:`bpy.types.TextCurve.align_y`

Removed
^^^^^^^

* **align**

bpy.types.GreasePencil
----------------------

Added
^^^^^

* :class:`bpy.types.GreasePencil.palettes`
* :class:`bpy.types.GreasePencil.show_stroke_direction`

bpy.types.PointLamp
-------------------

Added
^^^^^

* :class:`bpy.types.PointLamp.constant_coefficient`
* :class:`bpy.types.PointLamp.linear_coefficient`
* :class:`bpy.types.PointLamp.quadratic_coefficient`

bpy.types.SpotLamp
------------------

Added
^^^^^

* :class:`bpy.types.SpotLamp.constant_coefficient`
* :class:`bpy.types.SpotLamp.linear_coefficient`
* :class:`bpy.types.SpotLamp.quadratic_coefficient`

bpy.types.Library
-----------------

Added
^^^^^

* :class:`bpy.types.Library.reload`

bpy.types.Mesh
--------------

Added
^^^^^

* :class:`bpy.types.Mesh.flip_normals`
* :class:`bpy.types.Mesh.split_faces`

bpy.types.MovieClip
-------------------

Added
^^^^^

* :class:`bpy.types.MovieClip.animation_data`

bpy.types.ParticleSettings
--------------------------

Added
^^^^^

* :class:`bpy.types.ParticleSettings.collision_group`

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.alembic_export`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.collada_export` (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_ngons, use_object_instantiation, use_blender_profile, sort_by_name, open_sim, export_transformation_type), *was (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_ngons, use_object_instantiation, sort_by_name, open_sim, export_transformation_type)*

bpy.types.WholeCharacter
------------------------

Added
^^^^^

* :class:`bpy.types.WholeCharacter.doBBone`

bpy.types.MeshPolygon
---------------------

Added
^^^^^

* :class:`bpy.types.MeshPolygon.flip`

bpy.types.BooleanModifier
-------------------------

Added
^^^^^

* :class:`bpy.types.BooleanModifier.double_threshold`
* :class:`bpy.types.BooleanModifier.solver`

bpy.types.HookModifier
----------------------

Added
^^^^^

* :class:`bpy.types.HookModifier.matrix_inverse`

bpy.types.NormalEditModifier
----------------------------

Added
^^^^^

* :class:`bpy.types.NormalEditModifier.mix_limit`

bpy.types.ShrinkwrapModifier
----------------------------

Added
^^^^^

* :class:`bpy.types.ShrinkwrapModifier.invert_vertex_group`

bpy.types.SimpleDeformModifier
------------------------------

Added
^^^^^

* :class:`bpy.types.SimpleDeformModifier.invert_vertex_group`

bpy.types.MovieTrackingStabilization
------------------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingStabilization.active_rotation_track_index`
* :class:`bpy.types.MovieTrackingStabilization.anchor_frame`
* :class:`bpy.types.MovieTrackingStabilization.rotation_tracks`
* :class:`bpy.types.MovieTrackingStabilization.show_tracks_expanded`
* :class:`bpy.types.MovieTrackingStabilization.target_position`
* :class:`bpy.types.MovieTrackingStabilization.target_rotation`
* :class:`bpy.types.MovieTrackingStabilization.target_scale`
* :class:`bpy.types.MovieTrackingStabilization.use_stabilize_scale`

Removed
^^^^^^^

* **rotation_track**

bpy.types.MovieTrackingTrack
----------------------------

Added
^^^^^

* :class:`bpy.types.MovieTrackingTrack.weight_stab`

bpy.types.CompositorNodeColorBalance
------------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeColorBalance.offset_basis`

bpy.types.ShaderNodeTexPointDensity
-----------------------------------

Added
^^^^^

* :class:`bpy.types.ShaderNodeTexPointDensity.vertex_attribute_name`

Renamed
^^^^^^^

* **color_source** -> :class:`bpy.types.ShaderNodeTexPointDensity.particle_color_source`
* **color_source** -> :class:`bpy.types.ShaderNodeTexPointDensity.vertex_color_source`

bpy.types.PointDensity
----------------------

Added
^^^^^

* :class:`bpy.types.PointDensity.vertex_attribute_name`

Renamed
^^^^^^^

* **color_source** -> :class:`bpy.types.PointDensity.particle_color_source`
* **color_source** -> :class:`bpy.types.PointDensity.vertex_color_source`

bpy.types.PoseBone
------------------

Added
^^^^^

* :class:`bpy.types.PoseBone.bbone_curveinx`
* :class:`bpy.types.PoseBone.bbone_curveiny`
* :class:`bpy.types.PoseBone.bbone_curveoutx`
* :class:`bpy.types.PoseBone.bbone_curveouty`
* :class:`bpy.types.PoseBone.bbone_custom_handle_end`
* :class:`bpy.types.PoseBone.bbone_custom_handle_start`
* :class:`bpy.types.PoseBone.bbone_rollin`
* :class:`bpy.types.PoseBone.bbone_rollout`
* :class:`bpy.types.PoseBone.bbone_scalein`
* :class:`bpy.types.PoseBone.bbone_scaleout`
* :class:`bpy.types.PoseBone.use_bbone_custom_handles`
* :class:`bpy.types.PoseBone.use_bbone_relative_end_handle`
* :class:`bpy.types.PoseBone.use_bbone_relative_start_handle`

bpy.types.BoolProperty
----------------------

Added
^^^^^

* :class:`bpy.types.BoolProperty.is_array`

bpy.types.FloatProperty
-----------------------

Added
^^^^^

* :class:`bpy.types.FloatProperty.is_array`

bpy.types.IntProperty
---------------------

Added
^^^^^

* :class:`bpy.types.IntProperty.is_array`

bpy.types.CyclesMaterialSettings
--------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesMaterialSettings.displacement_method`

bpy.types.CyclesMeshSettings
----------------------------

Removed
^^^^^^^

* **dicing_rate**
* **displacement_method**
* **use_subdivision**

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.debug_bvh_time_steps`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cuda_adaptive_compile`
* :class:`bpy.types.CyclesRenderSettings.debug_use_hair_bvh`
* :class:`bpy.types.CyclesRenderSettings.dicing_rate`
* :class:`bpy.types.CyclesRenderSettings.distance_cull_margin`
* :class:`bpy.types.CyclesRenderSettings.light_sampling_threshold`
* :class:`bpy.types.CyclesRenderSettings.max_subdivisions`
* :class:`bpy.types.CyclesRenderSettings.preview_dicing_rate`
* :class:`bpy.types.CyclesRenderSettings.texture_limit`
* :class:`bpy.types.CyclesRenderSettings.texture_limit_render`
* :class:`bpy.types.CyclesRenderSettings.use_distance_cull`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.active_view_get`
* :class:`bpy.types.RenderEngine.bl_use_spherical_stereo`
* :class:`bpy.types.RenderEngine.use_spherical_stereo`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.camera_model_matrix` (camera, use_spherical_stereo, r_model_matrix), *was (camera, r_model_matrix)*
* :class:`bpy.types.RenderEngine.camera_shift_x` (camera, use_spherical_stereo), *was (camera)*

bpy.types.RenderSettings
------------------------

Added
^^^^^

* :class:`bpy.types.RenderSettings.use_spherical_stereo`
* :class:`bpy.types.RenderSettings.use_stamp_labels`
* :class:`bpy.types.RenderSettings.use_stamp_memory`
* :class:`bpy.types.RenderSettings.use_world_space_shading`

bpy.types.SceneGameData
-----------------------

Added
^^^^^

* :class:`bpy.types.SceneGameData.use_glsl_environment_lighting`

bpy.types.SceneGameRecastData
-----------------------------

Added
^^^^^

* :class:`bpy.types.SceneGameRecastData.partitioning`

bpy.types.TextSequence
----------------------

Added
^^^^^

* :class:`bpy.types.TextSequence.color`
* :class:`bpy.types.TextSequence.shadow_color`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.heat_grid`

bpy.types.SoftBodySettings
--------------------------

Added
^^^^^

* :class:`bpy.types.SoftBodySettings.collision_group`

bpy.types.SpaceNLA
------------------

Added
^^^^^

* :class:`bpy.types.SpaceNLA.show_local_markers`

bpy.types.ThemeDopeSheet
------------------------

Added
^^^^^

* :class:`bpy.types.ThemeDopeSheet.keyframe_scale_factor`

bpy.types.ThemeFileBrowser
--------------------------

Removed
^^^^^^^

* **active_file**
* **active_file_text**
* **scroll_handle**
* **scrollbar**
* **space_list**

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.curve_paint_settings`
* :class:`bpy.types.ToolSettings.gpencil_brushes`
* :class:`bpy.types.ToolSettings.keyframe_type`
* :class:`bpy.types.ToolSettings.use_gpencil_draw_onback`

bpy.types.UILayout
------------------

Added
^^^^^

* :class:`bpy.types.UILayout.template_cache_file`

bpy.types.UserPreferences
-------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferences.version`

bpy.types.UserPreferencesEdit
-----------------------------

Removed
^^^^^^^

* **use_grease_pencil_smooth_stroke**

bpy.types.UserPreferencesInput
------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesInput.use_ndof`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.legacy_compute_device_type`

Removed
^^^^^^^

* **compute_device**
* **compute_device_type**

2.78 to 2.79
============

bpy.types.DupliObject
---------------------

Added
^^^^^

* :class:`bpy.types.DupliObject.random_id`

bpy.types.FFmpegSettings
------------------------

Added
^^^^^

* :class:`bpy.types.FFmpegSettings.constant_rate_factor`
* :class:`bpy.types.FFmpegSettings.ffmpeg_preset`
* :class:`bpy.types.FFmpegSettings.max_b_frames`
* :class:`bpy.types.FFmpegSettings.use_max_b_frames`

bpy.types.FieldSettings
-----------------------

Added
^^^^^

* :class:`bpy.types.FieldSettings.use_gravity_falloff`

bpy.types.GPencilLayer
----------------------

Added
^^^^^

* :class:`bpy.types.GPencilLayer.use_ghosts_always`

bpy.types.GPencilSculptSettings
-------------------------------

Added
^^^^^

* :class:`bpy.types.GPencilSculptSettings.lockaxis`

bpy.types.Header
----------------

Added
^^^^^

* :class:`bpy.types.Header.is_extended`

bpy.types.ID
------------

Added
^^^^^

* :class:`bpy.types.ID.make_local`

bpy.types.Mesh
--------------

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Mesh.split_faces` (free_loop_normals), *was ()*

bpy.types.Scene
---------------

Added
^^^^^

* :class:`bpy.types.Scene.frame_float`
* :class:`bpy.types.Scene.show_subframe`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Scene.alembic_export` (filepath, frame_start, frame_end, xform_samples, geom_samples, shutter_open, shutter_close, selected_only, uvs, normals, vcolors, apply_subdiv, flatten, visible_layers_only, renderable_only, face_sets, subdiv_schema, export_hair, export_particles, compression_type, packuv, scale, triangulate, quad_method, ngon_method), *was (filepath, frame_start, frame_end, xform_samples, geom_samples, shutter_open, shutter_close, selected_only, uvs, normals, vcolors, apply_subdiv, flatten, visible_layers_only, renderable_only, face_sets, subdiv_schema, compression_type, packuv, scale)*
* :class:`bpy.types.Scene.collada_export` (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, export_texture_type, use_texture_copies, triangulate, use_object_instantiation, use_blender_profile, sort_by_name, export_transformation_type, open_sim, limit_precision, keep_bind_info), *was (filepath, apply_modifiers, export_mesh_type, selected, include_children, include_armatures, include_shapekeys, deform_bones_only, active_uv_only, include_uv_textures, include_material_textures, use_texture_copies, use_ngons, use_object_instantiation, use_blender_profile, sort_by_name, open_sim, export_transformation_type)*

bpy.types.Macro
---------------

Added
^^^^^

* :class:`bpy.types.Macro.bl_undo_group`

bpy.types.Menu
--------------

Added
^^^^^

* :class:`bpy.types.Menu.is_extended`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.Menu.path_menu` (self, searchpaths, operator), *was (self, searchpaths, operator, props_default, filter_ext)*

bpy.types.GPENCIL_PIE_sculpt
----------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_PIE_sculpt.is_extended`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPENCIL_PIE_sculpt.path_menu` (self, searchpaths, operator), *was (self, searchpaths, operator, props_default, filter_ext)*

bpy.types.GPENCIL_PIE_settings_palette
--------------------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_PIE_settings_palette.is_extended`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPENCIL_PIE_settings_palette.path_menu` (self, searchpaths, operator), *was (self, searchpaths, operator, props_default, filter_ext)*

bpy.types.GPENCIL_PIE_tool_palette
----------------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_PIE_tool_palette.is_extended`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPENCIL_PIE_tool_palette.path_menu` (self, searchpaths, operator), *was (self, searchpaths, operator, props_default, filter_ext)*

bpy.types.GPENCIL_PIE_tools_more
--------------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_PIE_tools_more.is_extended`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.GPENCIL_PIE_tools_more.path_menu` (self, searchpaths, operator), *was (self, searchpaths, operator, props_default, filter_ext)*

bpy.types.DisplaceModifier
--------------------------

Added
^^^^^

* :class:`bpy.types.DisplaceModifier.space`

bpy.types.MirrorModifier
------------------------

Added
^^^^^

* :class:`bpy.types.MirrorModifier.mirror_offset_u`
* :class:`bpy.types.MirrorModifier.mirror_offset_v`

bpy.types.ScrewModifier
-----------------------

Added
^^^^^

* :class:`bpy.types.ScrewModifier.merge_threshold`
* :class:`bpy.types.ScrewModifier.use_merge_vertices`

bpy.types.MotionPath
--------------------

Added
^^^^^

* :class:`bpy.types.MotionPath.color`
* :class:`bpy.types.MotionPath.line_thickness`
* :class:`bpy.types.MotionPath.lines`
* :class:`bpy.types.MotionPath.use_custom_color`

bpy.types.CompositorNodeBrightContrast
--------------------------------------

Added
^^^^^

* :class:`bpy.types.CompositorNodeBrightContrast.use_premultiply`

bpy.types.CompositorNodeHueSat
------------------------------

Removed
^^^^^^^

* **color_hue**
* **color_saturation**
* **color_value**

bpy.types.CompositorNodeSwitchView
----------------------------------

Removed
^^^^^^^

* **check**

bpy.types.Operator
------------------

Added
^^^^^

* :class:`bpy.types.Operator.bl_undo_group`
* :class:`bpy.types.Operator.is_repeat`

bpy.types.Sculpt
----------------

Added
^^^^^

* :class:`bpy.types.Sculpt.constant_detail_resolution`

Removed
^^^^^^^

* **constant_detail**

bpy.types.Panel
---------------

Added
^^^^^

* :class:`bpy.types.Panel.is_extended`

bpy.types.IMAGE_UV_sculpt
-------------------------

Added
^^^^^

* :class:`bpy.types.IMAGE_UV_sculpt.is_extended`

bpy.types.IMAGE_UV_sculpt_curve
-------------------------------

Added
^^^^^

* :class:`bpy.types.IMAGE_UV_sculpt_curve.is_extended`

bpy.types.CyclesObjectSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesObjectSettings.is_shadow_catcher`

bpy.types.CyclesRenderSettings
------------------------------

Added
^^^^^

* :class:`bpy.types.CyclesRenderSettings.ao_bounces`
* :class:`bpy.types.CyclesRenderSettings.ao_bounces_render`
* :class:`bpy.types.CyclesRenderSettings.debug_opencl_kernel_single_program`
* :class:`bpy.types.CyclesRenderSettings.debug_opencl_mem_limit`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cpu_split_kernel`
* :class:`bpy.types.CyclesRenderSettings.debug_use_cuda_split_kernel`

bpy.types.PropertyGroupItem
---------------------------

Added
^^^^^

* :class:`bpy.types.PropertyGroupItem.id`

bpy.types.RenderEngine
----------------------

Added
^^^^^

* :class:`bpy.types.RenderEngine.add_pass`
* :class:`bpy.types.RenderEngine.register_pass`
* :class:`bpy.types.RenderEngine.update_render_passes`

Function Arguments
^^^^^^^^^^^^^^^^^^

* :class:`bpy.types.RenderEngine.end_result` (result, cancel, highlight, do_merge_results), *was (result, cancel, do_merge_results)*

bpy.types.CYCLES
----------------

Added
^^^^^

* :class:`bpy.types.CYCLES.update_render_passes`

bpy.types.RenderPass
--------------------

Added
^^^^^

* :class:`bpy.types.RenderPass.fullname`

Removed
^^^^^^^

* **debug_type**
* **type**

bpy.types.RenderPasses
----------------------

Added
^^^^^

* :class:`bpy.types.RenderPasses.find_by_name`

bpy.types.RenderSettings
------------------------

Removed
^^^^^^^

* **sequencer_gl_render**
* **use_sequencer_gl_preview**

bpy.types.RigidBodyConstraint
-----------------------------

Added
^^^^^

* :class:`bpy.types.RigidBodyConstraint.spring_damping_ang_x`
* :class:`bpy.types.RigidBodyConstraint.spring_damping_ang_y`
* :class:`bpy.types.RigidBodyConstraint.spring_damping_ang_z`
* :class:`bpy.types.RigidBodyConstraint.spring_stiffness_ang_x`
* :class:`bpy.types.RigidBodyConstraint.spring_stiffness_ang_y`
* :class:`bpy.types.RigidBodyConstraint.spring_stiffness_ang_z`
* :class:`bpy.types.RigidBodyConstraint.use_spring_ang_x`
* :class:`bpy.types.RigidBodyConstraint.use_spring_ang_y`
* :class:`bpy.types.RigidBodyConstraint.use_spring_ang_z`

bpy.types.SceneRenderLayer
--------------------------

Added
^^^^^

* :class:`bpy.types.SceneRenderLayer.cycles`
* :class:`bpy.types.SceneRenderLayer.update_render_passes`

bpy.types.SmokeDomainSettings
-----------------------------

Added
^^^^^

* :class:`bpy.types.SmokeDomainSettings.axis_slice_method`
* :class:`bpy.types.SmokeDomainSettings.coba_field`
* :class:`bpy.types.SmokeDomainSettings.color_ramp`
* :class:`bpy.types.SmokeDomainSettings.display_thickness`
* :class:`bpy.types.SmokeDomainSettings.draw_velocity`
* :class:`bpy.types.SmokeDomainSettings.slice_axis`
* :class:`bpy.types.SmokeDomainSettings.slice_depth`
* :class:`bpy.types.SmokeDomainSettings.slice_method`
* :class:`bpy.types.SmokeDomainSettings.slice_per_voxel`
* :class:`bpy.types.SmokeDomainSettings.use_color_ramp`
* :class:`bpy.types.SmokeDomainSettings.vector_draw_type`
* :class:`bpy.types.SmokeDomainSettings.vector_scale`

bpy.types.SpaceNodeEditor
-------------------------

Removed
^^^^^^^

* **show_highlight**

bpy.types.SpaceView3D
---------------------

Added
^^^^^

* :class:`bpy.types.SpaceView3D.active_layer`

bpy.types.SpaceUVEditor
-----------------------

Added
^^^^^

* :class:`bpy.types.SpaceUVEditor.other_uv_filter`

bpy.types.ThemeGraphEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeGraphEditor.vertex_bevel`

bpy.types.ThemeImageEditor
--------------------------

Added
^^^^^

* :class:`bpy.types.ThemeImageEditor.vertex_bevel`

bpy.types.ThemeView3D
---------------------

Added
^^^^^

* :class:`bpy.types.ThemeView3D.edge_bevel`
* :class:`bpy.types.ThemeView3D.vertex_bevel`

bpy.types.ToolSettings
----------------------

Added
^^^^^

* :class:`bpy.types.ToolSettings.gpencil_interpolate`

bpy.types.UIList
----------------

Added
^^^^^

* :class:`bpy.types.UIList.is_extended`

bpy.types.CLIP_UL_tracking_objects
----------------------------------

Added
^^^^^

* :class:`bpy.types.CLIP_UL_tracking_objects.is_extended`

bpy.types.FILEBROWSER_UL_dir
----------------------------

Added
^^^^^

* :class:`bpy.types.FILEBROWSER_UL_dir.is_extended`

bpy.types.GPENCIL_UL_brush
--------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_UL_brush.is_extended`

bpy.types.GPENCIL_UL_layer
--------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_UL_layer.is_extended`

bpy.types.GPENCIL_UL_palettecolor
---------------------------------

Added
^^^^^

* :class:`bpy.types.GPENCIL_UL_palettecolor.is_extended`

bpy.types.MASK_UL_layers
------------------------

Added
^^^^^

* :class:`bpy.types.MASK_UL_layers.is_extended`

bpy.types.MATERIAL_UL_matslots
------------------------------

Added
^^^^^

* :class:`bpy.types.MATERIAL_UL_matslots.is_extended`

bpy.types.MESH_UL_shape_keys
----------------------------

Added
^^^^^

* :class:`bpy.types.MESH_UL_shape_keys.is_extended`

bpy.types.MESH_UL_uvmaps_vcols
------------------------------

Added
^^^^^

* :class:`bpy.types.MESH_UL_uvmaps_vcols.is_extended`

bpy.types.MESH_UL_vgroups
-------------------------

Added
^^^^^

* :class:`bpy.types.MESH_UL_vgroups.is_extended`

bpy.types.NODE_UL_interface_sockets
-----------------------------------

Added
^^^^^

* :class:`bpy.types.NODE_UL_interface_sockets.is_extended`

bpy.types.PARTICLE_UL_particle_systems
--------------------------------------

Added
^^^^^

* :class:`bpy.types.PARTICLE_UL_particle_systems.is_extended`

bpy.types.PHYSICS_UL_dynapaint_surfaces
---------------------------------------

Added
^^^^^

* :class:`bpy.types.PHYSICS_UL_dynapaint_surfaces.is_extended`

bpy.types.RENDERLAYER_UL_linesets
---------------------------------

Added
^^^^^

* :class:`bpy.types.RENDERLAYER_UL_linesets.is_extended`

bpy.types.RENDERLAYER_UL_renderlayers
-------------------------------------

Added
^^^^^

* :class:`bpy.types.RENDERLAYER_UL_renderlayers.is_extended`

bpy.types.RENDERLAYER_UL_renderviews
------------------------------------

Added
^^^^^

* :class:`bpy.types.RENDERLAYER_UL_renderviews.is_extended`

bpy.types.SCENE_UL_keying_set_paths
-----------------------------------

Added
^^^^^

* :class:`bpy.types.SCENE_UL_keying_set_paths.is_extended`

bpy.types.TEXTURE_UL_texpaintslots
----------------------------------

Added
^^^^^

* :class:`bpy.types.TEXTURE_UL_texpaintslots.is_extended`

bpy.types.TEXTURE_UL_texslots
-----------------------------

Added
^^^^^

* :class:`bpy.types.TEXTURE_UL_texslots.is_extended`

bpy.types.UI_UL_list
--------------------

Added
^^^^^

* :class:`bpy.types.UI_UL_list.is_extended`

bpy.types.UserPreferences
-------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferences.app_template`

bpy.types.UserPreferencesSystem
-------------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesSystem.use_select_pick_depth`

Removed
^^^^^^^

* **use_textured_fonts**
* **virtual_pixel_mode**

bpy.types.UserPreferencesView
-----------------------------

Added
^^^^^

* :class:`bpy.types.UserPreferencesView.ui_line_width`
* :class:`bpy.types.UserPreferencesView.ui_scale`
* :class:`bpy.types.UserPreferencesView.use_cursor_lock_adjust`
